------------------------------------------------------------------------------

2017-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, doc/html/Makefile.am, doc/html/index.html,
	doc/html/vice_future.html, doc/vice.chm, doc/vice.guide, doc/vice.hlp,
	doc/vice.inf, doc/vice.pdf, doc/vice.txt, po/da.po, po/de.po,
	po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/monitor/mon_lex.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h, src/version.h,
	src/vice-version.sh: VICE 3.1

2017-03-30  Bas Wassink <b.wassink@ziggo.nl>

	* man/cartconv.1, man/petcat.1, man/vice.1: Update man page dates

2017-03-29  Marcus Sutton <loggedoubt@gmail.com>

	* NEWS: Added BeOS/Haiku section for 3.1

2017-03-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/Makefile.am: Fixed Makefile.am.

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Some more VICE 3.1 preparation.

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/darwin.html,
	doc/html/macosx.html, doc/html/nsosrh.html, doc/html/qnx.html,
	doc/html/sco.html, doc/html/solaris.html, doc/html/sortix.html,
	doc/html/windows.html: Some more VICE 3.1 preparation.

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/iodrv/io-beos-access.c: Fix typo.

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/iodrv/io-beos-access.c: Attempt to make the BeOS *_isa_io
	functions load dynamically.

2017-03-29  Bas Wassink <b.wassink@ziggo.nl>

	* doc/building/Linux-Native-Howto.txt: Update dos2unix note

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_sc,
	src/arch/android/AnVICE/jni/vice_x64_sc_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20: Attempt to
	fix for latest file changes.

2017-03-29  Bas Wassink <b.wassink@ziggo.nl>

	* doc/building/Linux-Native-Howto.txt: Remove dos2unix from Linux
	building instructions

2017-03-29  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Revert dos2unix check

2017-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/index.html,
	doc/html/vice_future.html: Added a file indicating the near-future
	plans for vice (SDL1/2-shift).

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/index.html: Moved windows bins to
	their own page.

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-03-28  groepaz <groepaz@gmx.net>

	* doc/building/Linux-Native-Howto.txt, doc/vice.texi: fix occurances
	of --enable-memmap

2017-03-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/rawnetarch.c, src/arch/win32/uiethernet.c: Apply
	Greg's patch for bug #861

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/windows.html, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resacia.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2common.rc, src/arch/win32/rescpclockf83.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/resds12c887rtc.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resethernetcart.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/resgmod2.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resiocollisions.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/resmagicvoice.rc,
	src/arch/win32/resmidi.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resmouse.rc,
	src/arch/win32/respet.rc, src/arch/win32/respetcolour.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/respetreu.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resretroreplay.rc, src/arch/win32/resreu.rc,
	src/arch/win32/resrrnetmk3.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressampler.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/ressidcart.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/ressoundsampler.rc, src/arch/win32/restapelog.rc,
	src/arch/win32/rested.rc, src/arch/win32/resuserportrtc58321a.rc,
	src/arch/win32/resuserportrtcds1307.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resvic.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/resvsid.rc, src/translate_text.c: Did a
	'make trans-update'.

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did a
	'make update-po'.

2017-03-28  Bas Wassink <b.wassink@ziggo.nl>

	* NEWS: Update NEWS

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog: Updated.

2017-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* NEWS, README, doc/vice.texi: Some 3.1 preparations.

2017-03-28  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Make configure barf on missing dos2unix

2017-03-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_screenshot.c: SDL UI: Reorganize screenshot
	formats: separate native from non-native

2017-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Added 'menu_media.c'.

2017-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/arch_sdl.tmpl: Added 'menu_media.c'.

2017-03-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_media.c,
	src/arch/sdl/menu_media.h, src/arch/sdl/menu_screenshot.c,
	src/arch/sdl/menu_sound.c, src/arch/sdl/menu_sound.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c, SDL: change 'Screenshot' menu item into
	'Save media file', add submenu for 'screenshot', 'sound recording' and
	'video recording', remove 'sound recording' from 'Sound settings',
	remove 'Record movie' from 'screenshot' menu.

2017-03-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_screenshot.c: SDL UI: Move 'godot screenshot'
	above 'Record movie' and add separator between godot and movie

2017-03-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_memmap.c: Increase cpu-history size from 256 to 4096

2017-03-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: Remove unwanted space in version_cmd() output

2017-03-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Update c1541's -version switch to show c1541's version
	along with VICE's version

2017-03-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/petcat.c: Update petcat's -version switch to display petcat's
	version and level along VICE's version

2017-03-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_ffmpeg.c: SDL UI: don't include audio-only codecs
	in the 'Record movie' menu

2017-03-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_ffmpeg.c: SDL ffmpeg UI:
	don't use ffmpeg structs directly, use ffmpegdrv_formatlist

2017-03-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_settings.c: 'Fix' the keymap callbacks so they
	compile when using -DSDL_DEBUG. No idea where that integer is supposed
	to come from

2017-03-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_ffmpeg.c: SDL UI: fix video/audio codec selection
	when changing ffmpeg format

2017-03-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/amigaos/genamigaintl.c, src/arch/beos/genconstants.c,
	src/arch/os2/rs232.c, src/arch/win32/intl.c,
	src/buildtools/geninfocontrib.c, src/buildtools/gentranslate.c,
	src/buildtools/palette2c.c, src/printerdrv/output-text.c: Fix using
	char for the return type of fgets(3)

2017-03-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/gnome/linenoise.c: Fix bug using char for int
	values

2017-03-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/uimsgbox.c, src/arch/sdl/uimsgbox.h: SDL: fix weird
	dependence of message_box() on the #define's to determine the number
	of buttons for a dialog. Now we can have multiple dialogs with the
	same number of buttons.

2017-03-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_drive.c, src/arch/sdl/menu_tape.c,
	src/arch/sdl/ui.c, src/arch/sdl/uimsgbox.c, src/arch/sdl/uimsgbox.h:
	SDL: Fix bug in message_box(), Esc worked as OK/Accept, now Esc
	returns -1. Add attach dialog with unit number selection. Ask user
	whether to attach the newly created disk image, and to what unit.

2017-03-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_lex.c: commit mon_lex.c to get clean tree

2017-03-19  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_drive.c: SDL ui: inform user when disk image has
	been created succesfully

2017-03-19  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/uilib.c: Convert disk label & id to PETSCII in new
	image dialog (can't test this myself, someone?)

2017-03-19  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_drive.c: SDL ui: ask user for disk label & id when
	creating a new disk image

2017-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: --enable/disable-memmap ->
	--enable/disable-cpuhistory

2017-03-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/video.c: Fail immediately if SDL_CreateWindow() fails,
	and with a proper error message.

2017-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_netbsd_runtime_os.c,
	src/platform/platform_netbsd_version.h: Updated for NetBSD 7.1

2017-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html: Updated.

2017-03-16  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.pdf, doc/vice.texi: Update docs with info on the
	-version/--version command line switches of c1541, cartconv and petcat

2017-03-16  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.pdf, doc/vice.texi, man/c1541.1, src/c1541.c: Add bfill
	(block fill) command to c1541

2017-03-16  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Remove debugging printf() from bpoke command

2017-03-15  groepaz <groepaz@gmx.net>

	* src/vic20/vic20.c: undo via renaming, actually make xvic work again

2017-03-15  Bas Wassink <b.wassink@ziggo.nl>

	* src/petcat.c: Add -version option to petcat

2017-03-15  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/gtk3/joy-osx.h: Fixed the build of the GTK3 port on Mac.

2017-03-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/cartconv.c: Add --version option to cartconv

2017-03-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Add -version option to c1541, displays SVN revision if
	compiled from SVN

2017-03-14  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Fix SVN revision gathering

2017-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20.c: Swap via1/2.

2017-03-14  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: tickle SF

2017-03-13  Marcus Sutton <loggedoubt@gmail.com>

	* configure.proto: Fixed so configure can run without any of png.h,
	pkg-config, or --without-png.

2017-03-13  groepaz <groepaz@gmx.net>

	* src/resid/wave.h: 6581 oscillator top bit behavior fix, patch by
	Leandro Nini

2017-03-13  groepaz <groepaz@gmx.net>

	* src/resid/filter.cc, src/resid/filter.h: fix 8580 filters, patch by
	Leandro Nini

2017-03-13  groepaz <groepaz@gmx.net>

	* src/resid/envelope.cc, src/resid/envelope.h: fix envelope timing
	issues, patch by Leandro Nini

2017-03-13  groepaz <groepaz@gmx.net>

	* src/resid/filter.cc, src/resid/filter.h: 8580 filter bias range
	patch by Leandro Nini

2017-03-13  groepaz <groepaz@gmx.net>

	* doc/building/MacOSX-Howto.txt: minor update to OSX howto, patch by
	IanC

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20.c: Better way for the vic/via1/via2 mirroring.

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/pci-drv.h: Removed file.

2017-03-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/iodrv/io-access.h: Update UNIX guard

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20.c: Fixed mirroring of the vic, via1 and via2.

2017-03-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/iodrv/io-access.h: Add missing prototypes for io-unix-access.c

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/beos/Makefile.am,
	src/arch/beos/io-access.c, src/arch/beos/io-access.h,
	src/arch/beos/pci-drv.c, src/arch/beos/pci-drv.h,
	src/arch/gtk3/Makefile.am, src/arch/gtk3/io-access.h,
	src/arch/gtk3/pci-drv.c, src/arch/gtk3/pci-drv.h,
	src/arch/gtk3/pci-unix-drv.c, src/arch/gtk3/unix-io-access.c,
	src/arch/gtk3/unix-io-access.h, src/arch/msdos/Makefile.am,
	src/arch/msdos/pci-drv.c, src/arch/msdos/pci-drv.h,
	src/arch/sdl/Makefile.am, src/arch/sdl/io-access.c,
	src/arch/sdl/io-access.h, src/arch/sdl/pci-beos-drv.h,
	src/arch/sdl/pci-drv.c, src/arch/unix/Makefile.am,
	src/arch/unix/io-access.c, src/arch/unix/io-access.h,
	src/arch/unix/pci-drv.c, src/arch/unix/pci-drv.h,
	src/arch/win32/Makefile.am, src/arch/win32/wininpoutp.h,
	src/hwsiddrv/Makefile.am, src/hwsiddrv/catweaselmkiii-beos-drv.c,
	src/hwsiddrv/catweaselmkiii-dos-drv.c, src/hwsiddrv/cw-unix-pci.c,
	src/hwsiddrv/hs-beos-pci.c, src/hwsiddrv/hs-dos-pci.c,
	src/hwsiddrv/hs-unix-pci.c, src/hwsiddrv/wininpoutp.h, src/iodrv,
	src/iodrv/Makefile.am, src/iodrv/io-access.h,
	src/iodrv/io-beos-access.c, src/iodrv/io-unix-access.c,
	src/iodrv/pci-beos-drv.c, src/iodrv/pci-beos-drv.h,
	src/iodrv/pci-dos-drv.c, src/iodrv/pci-dos-drv.h,
	src/iodrv/pci-unix-drv.c, src/iodrv/pci-unix-drv.h: Moved the
	'I/O access' drivers to their own directory (src/iodrv).

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/hwsiddrv.tgt,
	src/arch/sdl/win32-watcom/petcat.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsid.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xscpu64.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Fixed for the hwsiddrv changes.

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/hwsiddrv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vsid.tgt, src/arch/win32/watcom/x128.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64dtv.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xscpu64.tgt,
	src/arch/win32/watcom/xvic.tgt: Fixed for the hwsiddrv changes.

2017-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl,
	src/arch/win32/vs_tmpl/hwsiddrv.tmpl,
	src/arch/win32/vs_tmpl/vice.tmpl, src/arch/win32/vs_tmpl/vsid.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Fixed for the hwsiddrv changes.

2017-03-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/pci-drv.h: Add pci-drv.h to arc/sdl

2017-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/io-access.h: Copied sdl io-access.h to the gtk3 dir.

2017-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/hwsiddrv: Added svn ignores.

2017-03-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/io-access.h: Fix typos

2017-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/io-access.h: Added
	io-access.h wrapper to the sdl port.

2017-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/amigaos/Makefile.am,
	src/arch/amigaos/catweaselmkiii-drv.c, src/arch/amigaos/cw.h,
	src/arch/amigaos/cw_clockport.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/arch/amigaos/cw_zorro.c, src/arch/amigaos/hardsid-drv.c,
	src/arch/amigaos/hs.h, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/hs_os4.c,
	src/arch/amigaos/ssi2001-drv.c, src/arch/beos/Makefile.am,
	src/arch/beos/catweaselmkiii-drv.c, src/arch/beos/hardsid-drv.c,
	src/arch/beos/hs-isa.c, src/arch/beos/hs-pci.c, src/arch/beos/hs.h,
	src/arch/beos/parsid-drv.c, src/arch/beos/ssi2001-drv.c,
	src/arch/gtk3/Makefile.am, src/arch/gtk3/catweaselmkiii-drv.c,
	src/arch/gtk3/catweaselmkiii-unix-drv.c,
	src/arch/gtk3/catweaselmkiii-win32-drv.c, src/arch/gtk3/cw-pci.c,
	src/arch/gtk3/cw-unix-pci.c, src/arch/gtk3/cw-unix.h,
	src/arch/gtk3/cw-win32-pci.c, src/arch/gtk3/cw-win32.h,
	src/arch/gtk3/hardsid-drv.c, src/arch/gtk3/hardsid-unix-drv.c,
	src/arch/gtk3/hardsid-win32-drv.c, src/arch/gtk3/hs-isa.c,
	src/arch/gtk3/hs-pci.c, src/arch/gtk3/hs-unix-isa.c,
	src/arch/gtk3/hs-unix-pci.c, src/arch/gtk3/hs-unix.h,
	src/arch/gtk3/hs-win32-isa.c, src/arch/gtk3/hs-win32-pci.c,
	src/arch/gtk3/hs-win32.h, src/arch/gtk3/parsid-drv.c,
	src/arch/gtk3/parsid-unix-drv.c, src/arch/gtk3/parsid-win32-drv.c,
	src/arch/gtk3/ps-device.c, src/arch/gtk3/ps-ieee1284-unix.c,
	src/arch/gtk3/ps-ieee1284-win32.c, src/arch/gtk3/ps-ieee1284.c,
	src/arch/gtk3/ps-io.c, src/arch/gtk3/ps-unix-file.c,
	src/arch/gtk3/ps-unix-io.c, src/arch/gtk3/ps-unix.h,
	src/arch/gtk3/ps-win32-dll.c, src/arch/gtk3/ps-win32-io.c,
	src/arch/gtk3/ps-win32.h, src/arch/gtk3/ssi2001-drv.c,
	src/arch/gtk3/ssi2001-unix-drv.c, src/arch/gtk3/ssi2001-win32-drv.c,
	src/arch/msdos/Makefile.am, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/msdos/hardsid-drv.c, src/arch/msdos/hs-isa.c,
	src/arch/msdos/hs-pci.c, src/arch/msdos/hs.h,
	src/arch/msdos/parsid-drv.c, src/arch/msdos/ssi2001-drv.c,
	src/arch/sdl/Makefile.am, src/arch/sdl/catweaselmkiii-amigaos-drv.c,
	src/arch/sdl/catweaselmkiii-beos-drv.c,
	src/arch/sdl/catweaselmkiii-drv.c, src/arch/sdl/cw-amigaos.h,
	src/arch/sdl/cw-device.c, src/arch/sdl/cw-pci.c,
	src/arch/sdl/hardsid-drv.c, src/arch/sdl/hs-device.c,
	src/arch/sdl/hs-isa.c, src/arch/sdl/hs-pci.c,
	src/arch/sdl/parsid-drv.c, src/arch/sdl/ps-device.c,
	src/arch/sdl/ps-ieee1284.c, src/arch/sdl/ps-io.c,
	src/arch/sdl/ssi2001-drv.c, src/arch/unix/Makefile.am,
	src/arch/unix/catweaselmkiii-drv.c, src/arch/unix/cw-device.c,
	src/arch/unix/cw-pci.c, src/arch/unix/cw.h,
	src/arch/unix/hardsid-drv.c, src/arch/unix/hs-isa.c,
	src/arch/unix/hs-linux.c, src/arch/unix/hs-pci.c, src/arch/unix/hs.h,
	src/arch/unix/parsid-drv.c, src/arch/unix/ps-file.c,
	src/arch/unix/ps-ieee1284.c, src/arch/unix/ps-io.c,
	src/arch/unix/ps.h, src/arch/unix/ssi2001-drv.c,
	src/arch/win32/Makefile.am, src/arch/win32/catweaselmkiii-drv.c,
	src/arch/win32/cw-dll.c, src/arch/win32/cw-pci.c, src/arch/win32/cw.h,
	src/arch/win32/hardsid-drv.c, src/arch/win32/hs-dll.c
	src/arch/win32/hs-isa.c, src/arch/win32/hs-pci.c, src/arch/win32/hs.h,
	src/arch/win32/parsid-drv.c, src/arch/win32/ps-dll.c,
	src/arch/win32/ps-ieee1284.c, src/arch/win32/ps-io.c,
	src/arch/win32/ps.h, src/arch/win32/ssi2001-drv.c, src/hwsiddrv,
	src/hwsiddrv/Makefile.am, src/hwsiddrv/catweaselmkiii-amiga-drv.c,
	src/hwsiddrv/catweaselmkiii-beos-drv.c,
	src/hwsiddrv/catweaselmkiii-dos-drv.c,
	src/hwsiddrv/catweaselmkiii-unix-drv.c,
	src/hwsiddrv/catweaselmkiii-win32-drv.c,
	src/hwsiddrv/cw-amiga-clockport.c, src/hwsiddrv/cw-amiga-device.c,
	src/hwsiddrv/cw-amiga-openpci.c, src/hwsiddrv/cw-amiga-os4.c,
	src/hwsiddrv/cw-amiga-zorro.c, src/hwsiddrv/cw-amiga.h,
	src/hwsiddrv/cw-unix-device.c, src/hwsiddrv/cw-unix-pci.c,
	src/hwsiddrv/cw-unix.h, src/hwsiddrv/cw-win32-dll.c,
	src/hwsiddrv/cw-win32-pci.c, src/hwsiddrv/cw-win32.h,
	src/hwsiddrv/hardsid-amiga-drv.c, src/hwsiddrv/hardsid-beos-drv.c,
	src/hwsiddrv/hardsid-dos-drv.c, src/hwsiddrv/hardsid-unix-drv.c,
	src/hwsiddrv/hardsid-win32-drv.c, src/hwsiddrv/hs-amiga-gg2isa.c,
	src/hwsiddrv/hs-amiga-openpci.c, src/hwsiddrv/hs-amiga-os4.c,
	src/hwsiddrv/hs-amiga.h, src/hwsiddrv/hs-beos-isa.c,
	src/hwsiddrv/hs-beos-pci.c, src/hwsiddrv/hs-beos.h,
	src/hwsiddrv/hs-dos-isa.c, src/hwsiddrv/hs-dos-pci.c,
	src/hwsiddrv/hs-dos.h, src/hwsiddrv/hs-unix-isa.c,
	src/hwsiddrv/hs-unix-linux.c, src/hwsiddrv/hs-unix-pci.c,
	src/hwsiddrv/hs-unix.h, src/hwsiddrv/hs-win32-dll.c,
	src/hwsiddrv/hs-win32-isa.c, src/hwsiddrv/hs-win32-pci.c,
	src/hwsiddrv/hs-win32.h, src/hwsiddrv/parsid-beos-drv.c,
	src/hwsiddrv/parsid-dos-drv.c, src/hwsiddrv/parsid-unix-drv.c,
	src/hwsiddrv/parsid-win32-drv.c, src/hwsiddrv/ps-ieee1284.c,
	src/hwsiddrv/ps-unix-file.c, src/hwsiddrv/ps-unix-io.c,
	src/hwsiddrv/ps-unix.h, src/hwsiddrv/ps-win32-dll.c,
	src/hwsiddrv/ps-win32-io.c, src/hwsiddrv/ps-win32.h,
	src/hwsiddrv/ssi2001-amiga-drv.c, src/hwsiddrv/ssi2001-beos-drv.c,
	src/hwsiddrv/ssi2001-dos-drv.c, src/hwsiddrv/ssi2001-unix-drv.c,
	src/hwsiddrv/ssi2001-win32-drv.c: Moved the 'hardware sid' drivers to
	their own directory (src/hwsiddrv).

2017-03-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_ethernet.c, src/arch/sdl/menu_midi.c: Properly
	terminate comments

2017-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c, src/arch/sdl/archdep_amiga.c,
	src/arch/sdl/archdep_beos.c, src/arch/sdl/archdep_unix.c,
	src/arch/sdl/archdep_win32.c: Removed duplicate archdep_network_*
	functions. (should fix bug #877)

2017-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/archdep_unix.h, src/arch/sdl/archdep_unix.h: Added
	missing midi driver names to 'archdep_unix.h' (should fix bug #876).

2017-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/socketdrv.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Fixed for the socketdrv changes.

2017-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/c1541.tgt, src/arch/win32/watcom/petcat.tgt,
	src/arch/win32/watcom/socketdrv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vsid.tgt, src/arch/win32/watcom/x128.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64dtv.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xscpu64.tgt,
	src/arch/win32/watcom/xvic.tgt: Fixed for the socketdrv changes.

2017-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/base.tmpl, src/arch/win32/vs_tmpl/c1541.tmpl,
	src/arch/win32/vs_tmpl/petcat.tmpl,
	src/arch/win32/vs_tmpl/socketdrv.tmpl,
	src/arch/win32/vs_tmpl/vice.tmpl, src/arch/win32/vs_tmpl/vsid.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Fixed for the socketdrv changes.

2017-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/amigaos/Makefile.am,
	src/arch/amigaos/socketimpl.c, src/arch/amigaos/socketimpl.h,
	src/arch/beos/Makefile.am, src/arch/beos/archdep.c,
	src/arch/beos/socketimpl.h, src/arch/gtk3/Makefile.am,
	src/arch/gtk3/socketimpl.h, src/arch/gtk3/socketimpl_unix.h,
	src/arch/gtk3/socketimpl_win32.h, src/arch/msdos/Makefile.am,
	src/arch/msdos/archdep.c, src/arch/msdos/socketimpl.h,
	src/arch/sdl/Makefile.am, src/arch/sdl/socketimpl.h,
	src/arch/unix/Makefile.am, src/arch/unix/archdep.c,
	src/arch/unix/socketimpl.h, src/arch/win32/Makefile.am,
	src/arch/win32/archdep.c, src/arch/win32/socketimpl.h,
	src/mididrv/midi-win32-drv.c, src/socketdrv,
	src/socketdrv/Makefile.am, src/socketdrv/socket-amiga-drv.c,
	src/socketdrv/socket-amiga-impl.h, src/socketdrv/socket-beos-impl.h,
	src/socketdrv/socket-dos-impl.h, src/socketdrv/socket-unix-impl.h,
	src/socketdrv/socket-win32-drv.c, src/socketdrv/socket-win32-impl.h,
	src/socketdrv/socketdrv.c, src/socketdrv/socketimpl.h: Moved the
	'socket/network' drivers to their own directory (src/socketdrv).

2017-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html: Updated.

2017-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_qnx6_runtime_os.c: Updated.

2017-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_qnx6_version.h: Updated.

2017-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_qnx6_runtime_os.c: Updated.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/qnx.html: Updated.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/buildtools/geninfocontrib.c: Generalized.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in: Fixed again.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in: Fixed.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_ultrix_runtime_os.c: Updated.

2017-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/buildtools/geninfocontrib.c: Fixed.

2017-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/qnx.html: Updated.

2017-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/qnx.html: Updated.

2017-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/iecc64exp.tgt, src/arch/os2/watcom/joyport.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x1541.tgt: Updated
	to the latest changes.

2017-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/sdl/win32-watcom/mididrv.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xscpu64.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Updated to the latest changes.

2017-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/mididrv/midi-win32-drv.c: Fixed.

2017-03-04  Kajtar Zsolt <soci@c64.rulez.org>

	* src/c64/c64mem.c, src/c64/c64memsc.c, src/c64/cart/magicvoice.c,
	src/c64/vsidmem.c: Silence warnings

2017-03-04  Kajtar Zsolt <soci@c64.rulez.org>

	* src/c64/cart/magicvoice.c: Silence warning

2017-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/qnx.html: Updated.

2017-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/Makefile.am, src/platform/platform.h,
	src/platform/platform_qnx4_runtime_os.c: Updated.

2017-03-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c: Gtk3: generalize
	archdep_network_shutdown()

2017-03-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c: Gtk3:
	add stubs for archdep_network_shutdown()

2017-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/mididrv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xscpu64.tgt,
	src/arch/win32/watcom/xvic.tgt: Updated for mididrv changes.

2017-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_macosx.c, src/platform/platform_macosx.h:
	Applied patch by _IanC: Determine major, minor, bugFix version numbers
	of OS X without Gestalt on 10.9 and higher.

2017-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/mididrv.tmpl, src/arch/win32/vs_tmpl/vice.tmpl,
	src/arch/win32/vs_tmpl/vsid.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64dtv.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Updated for mididrv changes.

2017-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.guess: Updated

2017-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c,
	src/arch/msdos/archdep.c, src/arch/os2/archdep.c,
	src/arch/sdl/archdep.c, src/arch/unix/archdep.c,
	src/arch/win32/archdep.c, src/socket.c: Properly call
	'archdep_network_shutdown()'.

2017-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/building/MacOSX-Cocoa-Howto.txt, doc/building/MacOSX-Howto.txt,
	doc/building/Makefile.am: Applied slighty changed patch by _IanC: This
	is a rewrite of doc/building/MacOSX-Howto.txt in an attempt to
	simplify things substantially.

2017-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Applied patch by _IanC: Remove OSX-specific SDL
	stuff in configure.proto to allow regular UNIX flow to happen. Add
	test for OpenGL framework which is required for SDL1 to support
	hardware scaling. This allows both SDL1 and SDL2 to configure and
	build successfully with UNIX-style libs.

2017-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/gtk3/Makefile.am,
	src/arch/gtk3/midi-osx-drv.c, src/arch/gtk3/midi-unix-drv.c,
	src/arch/gtk3/midi-win32-drv.c, src/arch/gtk3/mididrv.c,
	src/arch/sdl/Makefile.am, src/arch/sdl/mididrv.c,
	src/arch/unix/Makefile.am, src/arch/unix/macosx/Makefile.am,
	src/arch/unix/macosx/mididrv.c, src/arch/unix/mididrv.c,
	src/arch/win32/Makefile.am, src/arch/win32/mididrv.c, src/mididrv,
	src/mididrv/Makefile.am, src/mididrv/midi-osx-drv.c,
	src/mididrv/midi-unix-drv.c, src/mididrv/midi-win32-drv.c: Moved the
	midi drivers to their own directory (src/mididrv).

2017-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/console_amiga.c: Removed amiga specific code which is
	not used for sdl.

2017-02-28  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi, man/c1541.1: Update c1541 documentation

2017-02-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/debug_gtk3.h: Gtk3: add unversioned file for debugging

2017-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_macosx.c: Don't use 'gestalt' for osx 10.9 and
	above, alternative method still to be coded.

2017-02-27  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, src/arch/gtk3/Makefile.am, src/arch/gtk3/ui.c,
	src/arch/gtk3/video.c: Gtk3: add some debugging helpers

2017-02-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/video.c, src/arch/gtk3/videoarch.h,
	vice/src/resources.c: Remove debug code from resources_shutdown(), use
	-dumpconfig for that

2017-02-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/resources.c: Add note to resources_shutdown() for future
	debuggers

2017-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Enable possible standard SDL2 compile for osx
	(cannot use SDL2 framework if such a thing exists).

2017-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added png pkgconfig message.

2017-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed libpng detection for netbsd.

2017-02-25  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, src/platform/platform.c: Add 'native Gtk3' to the
	list of UI's

2017-02-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c, src/arch/gtk3/ui.c: Gtk3: more stuff

2017-02-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep.c,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c: Gtk3:
	implement default_log_file() and runtime_os()/runtime_cpu()

2017-02-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_memory.c: Fix monitor 'hunt' command to search the
	entire range given

2017-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added --enable-libieee1284 option, and made
	libieee1284 usage optional (disabled by default).

2017-02-24  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/gtk3/hardsid-win32-drv.c, src/arch/gtk3/ps-ieee1284.c,
	src/arch/gtk3/rawnetarch.c: Added missing svn properties.

2017-02-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c, src/arch/gtk3/uistatusbar.c: Gtk3:
	implement archdep_default_resource_file_name()

2017-02-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/video.c: No i18n for gtk3 port.

2017-02-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/mousedrv.c, src/arch/gtk3/video.c: Gtk3: update
	resource/cmdline initialization

2017-02-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/rawnetarch.c,
	src/arch/gtk3/rawnetarch_unix.c, src/arch/gtk3/rawnetarch_win32.c:
	Gtk3: add rawnetarch

2017-02-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/cart/cpmcart.c: Fix CPM cart bug

2017-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fix typo.

2017-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Enable sdl2 checks/compile for amiga.

2017-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, doc/readmes/Makefile.am,
	doc/readmes/Readme-GTK3.txt, src/arch/Makefile.am, src/arch/gtk3:
	Re-added the gtk3 stuff.

2017-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/beos-io-access.h,
	src/arch/sdl/catweaselmkiii-beos-drv.c,
	src/arch/sdl/catweaselmkiii-drv.c, src/arch/sdl/pci-beos-drv.h: Added
	proper catweaselmkii beos driver file to the sdl port instead of using
	the beos arch one.

2017-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/catweaselmkiii-amigaos-drv.c,
	src/arch/sdl/catweaselmkiii-drv.c, src/arch/sdl/cw-amigaos.h: Added
	proper catweaselmkii amigaos driver file to the sdl port instead of
	using the amigaos arch one.

2017-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep.c, src/arch/sdl/coproc.c: Removed cegcc
	references.

2017-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/catweaselmkiii-drv.c, src/arch/sdl/cw-device.c,
	src/arch/sdl/cw-pci.c, src/arch/sdl/dynlib.c,
	src/arch/sdl/hardsid-drv.c, src/arch/sdl/hs-device.c,
	src/arch/sdl/hs-isa.c, src/arch/sdl/hs-pci.c,
	src/arch/sdl/menu_ethernet.c, src/arch/sdl/menu_midi.c,
	src/arch/sdl/mididrv.c, src/arch/sdl/parsid-drv.c,
	src/arch/sdl/ps-device.c, src/arch/sdl/ps-ieee1284.c,
	src/arch/sdl/ps-io.c, src/arch/sdl/rawnetarch.c,
	src/arch/sdl/rs232dev.c, src/arch/sdl/sdlmain.c,
	src/arch/sdl/socketimpl.h, src/arch/sdl/ssi2001-drv.c: Removed all
	xbox references.

2017-02-20  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, doc/readmes/Makefile.am,
	doc/readmes/Readme-GTK3.txt, src/arch/Makefile.am, src/arch/gtk3:
	Remove Gtk3 port

2017-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/archdep.c,
	src/arch/sdl/archdep.h, src/arch/sdl/archdep_cegcc.c,
	src/arch/sdl/archdep_cegcc.h, src/arch/sdl/archdep_xbox.c,
	src/arch/sdl/archdep_xbox.h: Removed non-working cegcc and xbox sdl
	code from the sdl port.

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, src/arch/gtk3, src/arch/gtk3/Makefile.am,
	src/arch/gtk3/Makefile.in, src/arch/gtk3/archdep.c,
	src/arch/gtk3/archdep.h, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_unix.h, src/arch/gtk3/archdep_win32.c,
	src/arch/gtk3/archdep_win32.h, src/arch/gtk3/blockdev.c,
	src/arch/gtk3/c128ui.c, src/arch/gtk3/c64dtvui.c,
	src/arch/gtk3/c64scui.c, src/arch/gtk3/c64ui.c,
	src/arch/gtk3/catweaselmkiii-drv.c,
	src/arch/gtk3/catweaselmkiii-unix-drv.c,
	src/arch/gtk3/catweaselmkiii-win32-drv.c, src/arch/gtk3/cbm2ui.c,
	src/arch/gtk3/cbm5x0ui.c, src/arch/gtk3/console.c,
	src/arch/gtk3/coproc.c, src/arch/gtk3/coproc.h,
	src/arch/gtk3/cw-pci.c, src/arch/gtk3/cw-unix-pci.c,
	src/arch/gtk3/cw-unix.h, src/arch/gtk3/cw-win32-pci.c,
	src/arch/gtk3/cw-win32.h, src/arch/gtk3/dynlib-unix.c,
	src/arch/gtk3/dynlib-win32.c, src/arch/gtk3/dynlib.c,
	src/arch/gtk3/fullscreen.c, src/arch/gtk3/gtk3main.c,
	src/arch/gtk3/hardsid-drv.c, src/arch/gtk3/hardsid-unix-drv.c,
	src/arch/gtk3/hardsid-win32-drv.c, src/arch/gtk3/hs-isa.c,
	src/arch/gtk3/hs-pci.c, src/arch/gtk3/hs-unix-isa.c,
	src/arch/gtk3/hs-unix-pci.c, src/arch/gtk3/hs-unix.h,
	src/arch/gtk3/hs-win32-isa.c, src/arch/gtk3/hs-win32-pci.c,
	src/arch/gtk3/hs-win32.h, src/arch/gtk3/joy-osx-hid.c,
	src/arch/gtk3/joy-osx-hid.h, src/arch/gtk3/joy-osx-hidlib.h,
	src/arch/gtk3/joy-osx-hidmgr.c, src/arch/gtk3/joy-osx-hidutil.c,
	src/arch/gtk3/joy-osx.c, src/arch/gtk3/joy-osx.h,
	src/arch/gtk3/joy-unix-usb.c, src/arch/gtk3/joy-unix.c,
	src/arch/gtk3/joy-unix.h, src/arch/gtk3/joy-win32-dinput-handle.c,
	src/arch/gtk3/joy-win32-dinput-handle.h, src/arch/gtk3/joy-win32.c,
	src/arch/gtk3/joy-win32.h, src/arch/gtk3/joy.h, src/arch/gtk3/kbd.c,
	src/arch/gtk3/kbd.h, src/arch/gtk3/midi-osx-drv.c,
	src/arch/gtk3/midi-unix-drv.c, src/arch/gtk3/midi-win32-drv.c,
	src/arch/gtk3/mididrv.c, src/arch/gtk3/mousedrv.c,
	src/arch/gtk3/mousedrv.h, src/arch/gtk3/not_implemented.h,
	src/arch/gtk3/parsid-drv.c, src/arch/gtk3/parsid-unix-drv.c,
	src/arch/gtk3/parsid-win32-drv.c, src/arch/gtk3/pci-drv.c,
	src/arch/gtk3/pci-drv.h, src/arch/gtk3/pci-unix-drv.c,
	src/arch/gtk3/petui.c, src/arch/gtk3/plus4ui.c,
	src/arch/gtk3/ps-device.c, src/arch/gtk3/ps-ieee1284-unix.c,
	src/arch/gtk3/ps-ieee1284-win32.c, src/arch/gtk3/ps-ieee1284.c,
	src/arch/gtk3/ps-io.c, src/arch/gtk3/ps-unix-file.c,
	src/arch/gtk3/ps-unix-io.c, src/arch/gtk3/ps-unix.h,
	src/arch/gtk3/ps-win32-dll.c, src/arch/gtk3/ps-win32-io.c,
	src/arch/gtk3/ps-win32.h, src/arch/gtk3/rs232-unix-dev.c,
	src/arch/gtk3/rs232-win32-dev.c, src/arch/gtk3/rs232dev.c,
	src/arch/gtk3/scpu64ui.c, src/arch/gtk3/signals.c,
	src/arch/gtk3/socketimpl.h, src/arch/gtk3/socketimpl_unix.h,
	src/arch/gtk3/socketimpl_win32.h, src/arch/gtk3/ssi2001-drv.c,
	src/arch/gtk3/ssi2001-unix-drv.c, src/arch/gtk3/ssi2001-win32-drv.c,
	src/arch/gtk3/types.h, src/arch/gtk3/ui.c, src/arch/gtk3/ui.h,
	src/arch/gtk3/uicmdline.c, src/arch/gtk3/uimon.c,
	src/arch/gtk3/uistatusbar.c, src/arch/gtk3/unix-io-access.c,
	src/arch/gtk3/unix-io-access.h, src/arch/gtk3/vic20ui.c,
	src/arch/gtk3/video.c, src/arch/gtk3/videoarch.h,
	src/arch/gtk3/vsidui.c, src/arch/gtk3/vsyncarch.c: Sorry Ken Thompson

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3: Suck my balls Ken Thompson

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c: Gtk3: implement
	archdep_default_autostart_disk_image_file_name()

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/blockdev.c: Gtk3: implement all blockdev code for
	Windows ;)

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep.h: Gtk3: add user
	config dir code

2017-02-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep.h,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c,
	src/arch/gtk3/ui.c, src/arch/gtk3/video.c: Gtk3: some updates, start
	work on making this port comply to the XDG Base Directory
	Specification and whatever Windows uses these days

2017-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/make-bindist_qnx6.sh: Updated.

2017-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fix typo.

2017-02-17  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Fix missing comma

2017-02-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/fullscreen.c: Gtk3: add fullscreen stubs

2017-02-16  groepaz <groepaz@gmx.net>

	* configure.proto: fix typo

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added --enable/disable-ahi option.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed the --enable/disable-hardsid support.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed the --enable/disable-catweasel support.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added --with/without-gif option.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out if --with-png was given and no support
	was detected.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out if --with-jpeg was given and no support
	was detected.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out if --enable-midi was given and no support
	was detected.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out if --with-uithreads was given but no
	support was detected.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added 'error out' for sdl sound enable.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/qnx.html, src/arch/sdl/make-bindist_qnx6.sh: Updated.

2017-02-15  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/ui.c, src/arch/gtk3/video.c: Gtk3: some minor updates

2017-02-15  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/not_implemented.h: Make messages more 'compiler-ish'

2017-02-15  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/kbd.c, src/arch/gtk3/ui.c: Gtk3: add some more
	resources to ui_resources_init()

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added error out message for pulse audio support
	checking.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added error out message for arts support checking.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added error out message for alsa support checking.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added error out message for oss support checking.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added --enable/disable-portaudio option and added
	'error out' code if --enable-portaudio support is used but
	headers/libs are missing.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: oops, only error out if --enable-fullscreen is
	given.

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added error out message for fullscreen support
	checking.

2017-02-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_lex.c: Add updated mon_lex.c

2017-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3: Added some svn ignores.

2017-02-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/joy-win32.c: Gtk3: use JOYPORT_MAX_PORTS constant from
	joyport.h

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/ui.c: Gtk3: partially implement ui-resource
	init/shutdown until we have an actual GtkWindow instance

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/ui-resources.c: Fix possible free(NULL) call

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/not_implemented.h: Fix semi-colon, add
	INCOMPLETE_IMPLEMENTATION(), ie: x64 might start WW3 at any moment

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/not_implemented.h: Add NOT_IMPLEMENTED_WARN_ONLY() for
	Gtk3 port building

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep.c,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c,
	src/arch/gtk3/ps-ieee1284.c: Gtk3: various fixes

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep.c, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/archdep_win32.c: Gtk3: implemented
	archdep_path_is_relative()

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c: Gtk3:
	copy archdep_default_sysfile_pathlist() Unix and Win32
	implementations, fix memory leaks.

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c:
	Gtk3-native: copy/paste archdep_default_logger() implementations

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, src/arch/gtk3/archdep.c,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c: Start
	implementing archdep stuff for Gtk3-native

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_win32.c: More
	stubs for the Gtk3 port

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/ps-ieee1284-unix.c,
	src/arch/gtk3/ps-ieee1284-win32.c: Add ps-ieee1284 to gtk3 port

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/joy.c: Use proper constant from joyport.h

2017-02-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/gtk3/kbd.h: Gtk3: Add prototypes to kbd.h

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/unix-io-access.c: Fixed.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Fixed.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/iec/c64exp/Makefile.am,
	src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/c64exp/iec-c64exp.c, src/drive/iec/c64exp/stardos-exp.c,
	src/drive/iec/c64exp/stardos-exp.h, src/drive/iec/c64exp/stardos.c,
	src/drive/iec/c64exp/stardos.h: Changed drive stardos code and
	filename to stardos_exp, to avoid having the possibility of having
	same name functions.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/building/GTK3-Howto.txt, doc/building/Makefile.am,
	doc/readmes/Makefile.am, doc/readmes/Readme-GTK3.txt: Added (empty)
	gtk3 dox.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Updated.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/c1541.tgt,
	src/arch/win32/watcom/c64exp.tgt, src/arch/win32/watcom/joyport.tgt,
	src/arch/win32/watcom/vice.wpj: Updated.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c64exp.tmpl,
	src/arch/win32/vs_tmpl/joyport.tmpl: Updated.

2017-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c: Unbreak win32 sdl c1541 compiles.

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/joy-osx-hid.c,
	src/arch/gtk3/joy-osx-hid.h, src/arch/gtk3/joy-osx-hidlib.h,
	src/arch/gtk3/joy-osx-hidmgr.c, src/arch/gtk3/joy-osx-hidutil.c,
	src/arch/gtk3/joy-osx.c, src/arch/gtk3/joy-osx.h,
	src/arch/gtk3/joy-unix-usb.c, src/arch/gtk3/joy-unix.c,
	src/arch/gtk3/joy-unix.h, src/arch/gtk3/joy-win32-dinput-handle.c,
	src/arch/gtk3/joy-win32-dinput-handle.h, src/arch/gtk3/joy-win32.c,
	src/arch/gtk3/joy-win32.h, src/arch/gtk3/joy.c, src/arch/gtk3/joy.h:
	Added gtk3 joystick code.

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/cw-unix-pci.c,
	src/arch/gtk3/hs-unix-isa.c, src/arch/gtk3/hs-unix-pci.c,
	src/arch/gtk3/io-access.c, src/arch/gtk3/io-access.h,
	src/arch/gtk3/pci-unix-drv.c, src/arch/gtk3/ps-unix-io.c,
	src/arch/gtk3/ssi2001-unix-drv.c, src/arch/gtk3/unix-io-access.c,
	src/arch/gtk3/unix-io-access.h: Renamed io-access.* to
	unix-io-access.*

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.h: Fixed typo.

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/vizawrite64_dongle.c: Fixed typo.

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/joyport/Makefile.am,
	src/joyport/joyport.h, src/joyport/vizawrite64_dongle.c,
	src/joyport/vizawrite64_dongle.h, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c: Added vizawrite64 dongle
	emulation (as provided by Zer0-X).

2017-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c: Fixed.

2017-02-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/interrupt.h: Fix printf() format specifier warnings

2017-02-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/joy.c: Fix array sizes

2017-02-11  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, src/lib.c: Fix bug in --enable-debug handling
	without backtrace_symbols present

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep_win32.c: Duplicated
	gtk3 archdep_unix.c to archdep_win32.c

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/c128ui.c, src/arch/gtk3/c64dtvui.c,
	src/arch/gtk3/c64scui.c, src/arch/gtk3/cbm2ui.c,
	src/arch/gtk3/cbm5x0ui.c, src/arch/gtk3/petui.c,
	src/arch/gtk3/plus4ui.c, src/arch/gtk3/scpu64ui.c, src/arch/gtk3/ui.c,
	src/arch/gtk3/vic20ui.c: And the rest of the gtk3 stubs.

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep_unix.c,
	src/arch/gtk3/blockdev.c, src/arch/gtk3/c64ui.c,
	src/arch/gtk3/coproc.c, src/arch/gtk3/mousedrv.c,
	src/arch/gtk3/rs232-unix-dev.c, src/arch/gtk3/rs232-win32-dev.c,
	src/arch/gtk3/rs232dev.c, src/arch/gtk3/ui.c,
	src/arch/gtk3/uistatusbar.c: More gtk3 stubs.

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/blockdev.c: Cosmetic fixes.

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/cw-pci.c,
	src/arch/gtk3/cw-unix-pci.c, src/arch/gtk3/cw-win32-pci.c,
	src/arch/gtk3/kbd.c, src/arch/gtk3/ui.c: More gtk3 stubs.

2017-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep.c,
	src/arch/gtk3/archdep_unix.c, src/arch/gtk3/archdep_unix.h,
	src/arch/gtk3/archdep_win32.h, src/arch/gtk3/catweaselmkiii-drv.c,
	src/arch/gtk3/catweaselmkiii-unix-drv.c,
	src/arch/gtk3/catweaselmkiii-win32-drv.c, src/arch/gtk3/console.c,
	src/arch/gtk3/cw-unix.h, src/arch/gtk3/cw-win32.h,
	src/arch/gtk3/dynlib-unix.c, src/arch/gtk3/dynlib-win32.c,
	src/arch/gtk3/dynlib.c, src/arch/gtk3/fullscreen.c,
	src/arch/gtk3/hardsid-drv.c, src/arch/gtk3/hardsid-unix-drv.c,
	src/arch/gtk3/hardsid-win32-drv.c, src/arch/gtk3/hs-isa.c,
	src/arch/gtk3/hs-pci.c, src/arch/gtk3/hs-unix-isa.c,
	src/arch/gtk3/hs-unix-pci.c, src/arch/gtk3/hs-unix.h,
	src/arch/gtk3/hs-win32-isa.c, src/arch/gtk3/hs-win32-pci.c,
	src/arch/gtk3/hs-win32.h, src/arch/gtk3/io-access.c,
	src/arch/gtk3/joy.c, src/arch/gtk3/kbd.c,
	src/arch/gtk3/midi-osx-drv.c, src/arch/gtk3/midi-unix-drv.c,
	src/arch/gtk3/midi-win32-drv.c, src/arch/gtk3/mididrv.c,
	src/arch/gtk3/not_implemented.h, src/arch/gtk3/parsid-drv.c,
	src/arch/gtk3/parsid-unix-drv.c, src/arch/gtk3/parsid-win32-drv.c,
	src/arch/gtk3/pci-drv.c, src/arch/gtk3/pci-drv.h,
	src/arch/gtk3/pci-unix-drv.c, src/arch/gtk3/ps-device.c,
	src/arch/gtk3/ps-io.c, src/arch/gtk3/ps-unix-file.c,
	src/arch/gtk3/ps-unix-io.c, src/arch/gtk3/ps-unix.h,
	src/arch/gtk3/ps-win32-dll.c, src/arch/gtk3/ps-win32-io.c,
	src/arch/gtk3/ps-win32.h, src/arch/gtk3/signals.c,
	src/arch/gtk3/socketimpl_win32.h, src/arch/gtk3/ui.c,
	src/arch/gtk3/uicmdline.c, src/arch/gtk3/uimon.c,
	src/arch/gtk3/uistatusbar.c, src/arch/gtk3/video.c,
	src/arch/gtk3/vsidui.c, src/arch/gtk3/vsyncarch.c,
	src/arch/unix/io-access.c: Some more gtk3 progress.

2017-02-09  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uidrivec64c128.c, src/drive/drive-check.c,
	src/drive/drive.h: added stardos options to unix gui

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/io-access.h,
	src/arch/gtk3/ssi2001-drv.c, src/arch/gtk3/ssi2001-unix-drv.c,
	src/arch/gtk3/ssi2001-win32-drv.c: Added gtk3 ssi2001 driver.

2017-02-09  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt, src/drive/drive.h,
	src/drive/iec/c64exp/Makefile.am,
	src/drive/iec/c64exp/c64exp-cmdline-options.c,
	src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/c64exp/iec-c64exp.c, src/drive/iec/c64exp/stardos.c,
	src/drive/iec/c64exp/stardos.h, src/translate.txt,
	src/translate_text.c: added emulation for the StarDOS drive ROM, which
	makes it actually work now :)

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/socketimpl.h,
	src/arch/gtk3/socketimpl_unix.h: Added gtk3 socketimpl.h file(s).

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/ui.h: Added gtk3 ui.h file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/coproc.h: Added gtk3
	coproc.h file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/videoarch.h: #if 0'ed some members to allow
	compilation to continue.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/videoarch.h: Added gtk3
	videoarch.h file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/mousedrv.h: Added gtk3
	mousedrv.h file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/kbd.h: Added missing prototype.h

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep.h,
	src/arch/gtk3/kbd.h: Added gtk3 kbd.h file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/joy.h: Added gtk3 joy.h
	file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/archdep.h,
	src/arch/gtk3/archdep_unix.h: Added gtk3 archdep.h file(s).

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/gtk3/Makefile.am, src/arch/gtk3/types.h: Added gtk3 types.h
	file.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Disabled cpu name retrieval
	code, it makes some binaries crash on startup.

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/paperclip64.c: Fixed paperclip64 dongle emulation (thanx
	Zero-X).

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/monitor/mon_parse.c: Fixed.

2017-02-09  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Fix quotation of error message

2017-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/Makefile.am, src/arch/gtk3,
	src/arch/gtk3/Makefile.am, src/arch/gtk3/gtk3main.c: Added native gtk3
	'framework' (or at least the start of it), this port is very much WIP
	and currently doesn't even compile.

2017-02-09  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Slightly clearer error message for failed
	--enable-debug

2017-02-08  Marcus Sutton <loggedoubt@gmail.com>

	* src/platform/platform_x86_runtime_cpu.c: Added support for returning
	the x86 CPU name string (if present) via the cpuid instruction.

2017-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-ieee1284.c: Applied fix by 'retrodood'.

2017-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c, src/arch/os2/dialogs/dlg-fileio.c,
	src/c64/cart/c64-midi.c, src/c64/vsidstubs.c,
	src/cbm2/cbm2-cmdline-options.c, src/midi.h,
	src/vic20/cart/vic20-midi.c: Some init fixes.

2017-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Fixed.

2017-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/paperclip64.c: Updated to repeat.

2017-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/paperclip64.c: Reworked a bit, still doesn't work with
	the software.

2017-02-06  groepaz <groepaz@gmx.net>

	* src/core/viacore.c, src/via.h: implemented shift register (reg 10),
	not cycle exact yet

2017-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-ieee1284.c: Added 'NULL' check.

2017-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Updated.

2017-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: For windows port link against 'libshfolder.a'
	before 'libshell32.a'.

2017-02-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/cbmdos.h: Replace integer literals with proper
	symbolic constant

2017-02-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: All occurences of the old
	'extract_unit_from_file_name()' replaced with a more robust version

2017-02-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Update write command

2017-02-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive-command.c: Update c1541 rename
	command, fix 'splat' file bug in vdrive_command_rename()

2017-02-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Update read and geosread commands

2017-02-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Update chain, copy and format commands

2017-02-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Remove last use of the old check_drive() function and
	the function itself

2017-02-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/log.c, src/log.h: Add -silent to c1541, obviouslt
	only works with log_bla() calls, not fprintf()

2017-02-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/log.c, src/translate.txt: Add -silent command line switch,
	disables all logging

2017-02-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/log.c: Don't continue scanning, one 'verbose' is enough. Also
	don't use 'not' on a function that clearly doesn't return a boolean
	value

2017-02-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Use EXIT_SUCCESS/EXIT_FAILURE, not 0/1 (pedantic but
	portable)

2017-02-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Fix drive index bug in read_cmd()

2017-01-30  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: More message fixes

2017-01-30  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Remove capitalization and full stops from error
	messages

2017-01-28  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: add bpoke (block-poke) command:
	low-level write access to blocks

2017-01-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Make extract_unit_from_file_name() actually return a
	unit number, not an index into the drives array

2017-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Fixed.

2017-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Coding style fix.

2017-01-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: make arg_to_int() accept prefixes indicating the
	base of the number parsed. Supported are '%/0b' for base-2, '&' for
	base-8 and '$/0x' for base-16. A literal of '0123' is interpreted as
	base-10, NOT base-8

2017-01-28  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: allow specifying min/max track for
	'bam' command

2017-01-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: remove bam_dump_<format>() helper functions, use
	vdrive_get_max_sectors() and track count in the vdrive image to
	determine max sectors and track count

2017-01-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive-bam.c: c1541: add support for 2040,
	8050 and 8250 images for the 'bam' command, and guard against corrupt
	8250 images

2017-01-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive-bam.c, src/vdrive/vdrive-bam.h:
	Rename vdrive_bam_calculate_track(), which can mean anything, to
	vdrive_bam_get_track_entry(), which is a lot clearer

2017-01-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive-bam.c, src/vdrive/vdrive-bam.h:
	c1541: Add support of 1571 and 1581 images to the 'bam' command,
	refactor code slightly

2017-01-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Reverse '*' and '.' in c1541 bbam dump output, so used
	sector is indicated by '*' and a free sector by '.'

2017-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive-bam.c, src/vdrive/vdrive-bam.h: c1541
	Add preliminary support for displaying BAM of images

2017-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/script64_dongle.c: Comment fix.

2017-01-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: add tilde expansion of path to bread and bwrite
	commands

2017-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c1541.tmpl: Added diskimage include dir.

2017-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/joyport/Makefile.am,
	src/joyport/joyport.h, src/joyport/script64_dongle.c,
	src/joyport/script64_dongle.h, src/scpu64/scpu64.c, src/translate.txt,
	src/translate_text.c: Added joyport 'script 64 dongle' support.

2017-01-24  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: fix default unit in bcopy, bread and bwrite
	commands, fix syntax/help text for bcopy command

2017-01-23  Marcus Sutton <loggedoubt@gmail.com>

	* FEEDBACK: Fixed outdated bug tracker URL.

2017-01-23  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui.cc: Added support for BeVICE to paste dropped text
	the same way as clipboard text.

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: Add bcopy (block-copy): copy raw
	blocks in images or between images

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: Properly fix Makefile.am this time

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: Fix Makefile.am

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: .. and also add the Makefile.am

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/diskimage/fsimage-check.c, src/diskimage/fsimage-check.h: Return
	different error codes for illegal track or sector in
	fsimage_check_sector(), makes proper error messages easier

2017-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: Silence (cd && make), there's already an echo on
	what make is doing and make itself also reports its recursion

2017-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: echo -> @echo

2017-01-22  Marcus Sutton <loggedoubt@gmail.com>

	* src/Makefile.am: Added echo commands to show the progress of a
	single-emulator build.

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: add bwrite (block-write) command,
	write a raw block from the host file system to an image

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: Add bread (block-read) command,
	read a single block from an image and write it to the host file system

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: add 'chain' command

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uiprinteriecplus4.c: Fix trailing space after
	newline

2017-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/vsidui.c: Fixed.

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/vdrive/vdrive.h: c1541: add helper function
	parse_track_sector() and add errors codes FD_BAD_TRKNUM and
	FD_BAD_SECNUM to vdrive

2017-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uivicii.c: Fixed.

2017-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c,
	src/arch/unix/gui/uiprinterieee.c, src/arch/unix/gui/uips2mouse.c,
	src/arch/unix/gui/uiram.c, src/arch/unix/gui/uiramcart.c,
	src/arch/unix/gui/uiretroreplay.c, src/arch/unix/gui/uireu.c,
	src/arch/unix/gui/uiromset.c, src/arch/unix/gui/uirrnetmk3.c,
	src/arch/unix/gui/uirs232.c, src/arch/unix/gui/uirs232c64c128.c,
	src/arch/unix/gui/uirs232petplus4cbm2.c,
	src/arch/unix/gui/uirs232user.c, src/arch/unix/gui/uisampler.c,
	src/arch/unix/gui/uiscpu64.c, src/arch/unix/gui/uisettings.c,
	src/arch/unix/gui/uisid.c, src/arch/unix/gui/uisound.c,
	src/arch/unix/gui/uisoundexpander.c,
	src/arch/unix/gui/uisoundsampler.c,
	src/arch/unix/gui/uisupersnapshot.c, src/arch/unix/gui/uitapeport.c,
	src/arch/unix/gui/uited.c, src/arch/unix/gui/uitpi.c,
	src/arch/unix/gui/uiuserport.c, src/arch/unix/gui/uiv364speech.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/gui/vic20ui.c,
	src/arch/unix/gui/vsidui.c, src/arch/unix/x11/gnome/uiedit.c,
	src/arch/unix/x11/gnome/uimenu.c, src/arch/unix/x11/gnome/x11mouse.c,
	src/arch/unix/x11/xaw/uiedit.c, src/arch/unix/x11/xaw/uimenu.c,
	src/arch/unix/x11/xaw/uiscreenshot.c: Some more init fixes.

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: c1541: clean up block command code

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uidrive.c: Properly stringify drive number,
	preproc concatenation doesn't work inside string literals

2017-01-22  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uiprinter.h, src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinterieee.c: Fix linker errors in
	arch/unix/gui/libarchgui.a

2017-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uigmod2.c, src/arch/unix/gui/uiide64.c,
	src/arch/unix/gui/uiisepic.c, src/arch/unix/gui/uijoyport.c,
	src/arch/unix/gui/uijoystick2.c, src/arch/unix/gui/uikeyboard.c,
	src/arch/unix/gui/uimagicvoice.c, src/arch/unix/gui/uimidi.c,
	src/arch/unix/gui/uimmc64.c, src/arch/unix/gui/uimmcreplay.c,
	src/arch/unix/gui/uimouse.c, src/arch/unix/gui/uinetplay.c,
	src/arch/unix/gui/uiperipheral.c, src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c, src/arch/unix/gui/uipetcolour.c,
	src/arch/unix/gui/uipetdww.c, src/arch/unix/gui/uipethre.c,
	src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus4cart.c,
	src/arch/unix/gui/uiprinter.c: Some more init fixes.

2017-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/buildtools/geninfocontrib.c: Fixed.

2017-01-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/Makefile.am, src/buildtools/geninfocontrib.c,
	src/buildtools/geninfocontrib_h.sh: Started fixing the infocontrib
	(and other files) generation script/exe.

2017-01-17  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui.cc: Added support for BeVICE to autostart a file
	dropped on it from tracker.

2017-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uidrivec64vic20.c:
	Fixed.

2017-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uic64memoryhacks.c, src/arch/unix/gui/uicbm2cart.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uicrtc.c,
	src/arch/unix/gui/uics8900.c, src/arch/unix/gui/uidatasette.c,
	src/arch/unix/gui/uidigimax.c, src/arch/unix/gui/uidqbb.c,
	src/arch/unix/gui/uidrive.c, src/arch/unix/gui/uidrivec128.c,
	src/arch/unix/gui/uidrivec64.c, src/arch/unix/gui/uidrivec64c128.c,
	src/arch/unix/gui/uidrivec64dtv.c,
	src/arch/unix/gui/uidrivec64vic20.c, src/arch/unix/gui/uidriveiec.c,
	src/arch/unix/gui/uidrivepetcbm2.c, src/arch/unix/gui/uidriveplus4.c,
	src/arch/unix/gui/uidrivevic20.c, src/arch/unix/gui/uids12c887rtc.c,
	src/arch/unix/gui/uieasyflash.c, src/arch/unix/gui/uiethernetcart.c,
	src/arch/unix/gui/uiexpert.c, src/arch/unix/gui/uifliplist.c,
	src/arch/unix/gui/uifullscreen-menu.h, src/arch/unix/gui/uigeoram.c:
	Some more init fixes.

2017-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/buildtools: Ignore 'Makefile' as well.

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/buildtools: Ignore Makefile.in in src/buildtools

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/pc8477.c: Remove trailing comma's

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundsdl.c: Fix warnings

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/drive-cmdline-options.c, src/drive/drive-resources.c,
	src/raster/raster-cmdline-options.c, src/raster/raster-resources.c,
	src/video/video-cmdline-options.c, src/video/video-resources.c: Remove
	useless/dangerous casts

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/iec-cmdline-options.c, src/drive/iec/iec-resources.c:
	Remove useless casts

2017-01-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/uimsgbox.c: Remove obsolete statement in SDL uimsgbox

2017-01-16  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/uimsgbox.c: Apply patch by Greg King, see bug #857

2017-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uiacia1.c, src/arch/unix/gui/uiattach.c,
	src/arch/unix/gui/uiautostart.c, src/arch/unix/gui/uic64cart.c,
	src/arch/unix/gui/uic64dtv.c: Some more init fixes.

2017-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/Joystick.c: Include 'vice.h' so that
	'#ifdef USE_XAW3D' can actually do something useful.

2017-01-14  Ingo Korb <ingo@akana.de>

	* src/arch/win32/archdep.c: Replace symbol with numeric constant to
	work around Win32 header weirdness

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/glue1571.c, src/drive/iec/iecrom.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/fdd.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/cia1571d.c, src/drive/iec/cia1581d.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/interrupt.h: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/plus4exp/plus4exp-cmdline-options.c,
	src/drive/iec/plus4exp/plus4exp-resources.c, Remove casts

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/c64exp/dolphindos3.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/c64exp/c64exp-resources.c: Remove (now useless) casts

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/resources.h: Remove const keyword from 'name' field of structs
	resource_int_s and resource_string_s, again to avoid undefined
	behaviour

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/c64exp/c64exp-cmdline-options.c: Remove (now useless)
	casts

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/cmdline.h: Remove const keyword from name and resource_name
	fields in struct cmdline_option_s. Some code uses these fields for
	dynamically allocated strings and then uses casts to remove the const
	to allow free() to 'work'. That's undefined behaviour.

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundflac.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundvorbis.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/lamelib.h, src/sounddrv/soundmp3.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/sounduss.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundalsa.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundpulse.c: Fix warnings, except those generated by
	-pedantic

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundwav.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundvoc.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundmovie.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundaiff.c: Fix warnings

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/sampler2bit.c, src/joyport/sampler4bit.c: More tab fixes

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/rushware_keypad.c: Fix tabs

2017-01-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/paperclip64.c: Fix tabs

2017-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/x11/x11menu.h: Started on my '*nix menu init fixing'
	run.

2017-01-13  Ingo Korb <ingo@akana.de>

	* src/arch/win32/archdep.c: Fix typo

2017-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/JoystickP.h: Used xaw3d simplep header

2017-01-13  Ingo Korb <ingo@akana.de>

	when compiling with/for xaw3d. (fixes bug #855)

	* src/arch/win32/archdep.c: Win32: Use a folder below appdata instead
	of dumping everything into the profile's root dir

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/mouse.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/lightpen.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/joystick.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/alarm.h: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/lib/p64/p64.c: Fix lib/p64 warnings on 64-bit systems, remove
	tabs

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/cx85.c: Fix warnings and tabs

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/cx21.c: Fix warnings and tabs

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/petcat.c: Fix overzealous bug fixing

2017-01-13  Ingo Korb <ingo@akana.de>

	* doc/vice.pdf, src/arch/win32/archdep.c: Win32: Prefer boot_path for
	vice.ini if it already exists there

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/coplin_keypad.c: Replace tabs with spaces

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/coplin_keypad.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/cardkey.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/bbrtc.c: Fix warnings

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* po/intl2po.c: Fix warnings and bugs

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/cartconv.c: Some fixes

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/petcat.c: Some (warning) fixes

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/sound.h: Fix warning

2017-01-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Fix warnings/bugs

2017-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Changed windows log, fliplist, rtc,
	autostart and settings location to the current user 'home' directory.

2017-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/p64/p64.c: Some warning fixes.

2017-01-12  Bas Wassink <b.wassink@ziggo.nl>

	* src/buildtools/bin2c.c: Add new version of bin2c.c that handles
	2d-arrays

2017-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uids12c887rtc.c, src/arch/msdos/uieasyflash.c,
	src/arch/msdos/uiethernetcart.c, src/arch/msdos/uiexpert.c,
	src/arch/msdos/uigeoram.c, src/arch/msdos/uigmod2.c,
	src/arch/msdos/uiide64.c, src/arch/msdos/uiiocollisions.c,
	src/arch/msdos/uiisepic.c, src/arch/msdos/uijoystick.c,
	src/arch/msdos/uikeymap.c, src/arch/msdos/uimagicvoice.c,
	src/arch/msdos/uimmc64.c, src/arch/msdos/uimmcreplay.c,
	src/arch/msdos/uinetplay.c, src/arch/msdos/uiperipherial.c,
	src/arch/msdos/uipetdww.c, src/arch/msdos/uipethre.c,
	src/arch/msdos/uipetmodel.c, src/arch/msdos/uipetreu.c,
	src/arch/msdos/uiplus4cart.c, src/arch/msdos/uiplus4memoryhacks.c,
	src/arch/msdos/uiplus4model.c, src/arch/msdos/uiprinter.c,
	src/arch/msdos/uiramcart.c, src/arch/msdos/uiretroreplay.c,
	src/arch/msdos/uireu.c, src/arch/msdos/uirrnetmk3.c,
	src/arch/msdos/uisampler.c, src/arch/msdos/uiscpu64.c,
	src/arch/msdos/uiscpu64model.c, src/arch/msdos/uiscreenshot.c,
	src/arch/msdos/uisid.h, src/arch/msdos/uisidc128.c,
	src/arch/msdos/uisidc64.c, src/arch/msdos/uisidcart.c,
	src/arch/msdos/uisidcbm2.c, src/arch/msdos/uisiddtv.c,
	src/arch/msdos/uisnapshot.c, src/arch/msdos/uisound.c,
	src/arch/msdos/uisoundexpander.c, src/arch/msdos/uisoundsampler.c,
	src/arch/msdos/uiss5.c, src/arch/msdos/uitapeport.c,
	src/arch/msdos/uiuserport.c, src/arch/msdos/uiv364speech.c,
	src/arch/msdos/uivic20model.c, src/arch/msdos/uivideo.c,
	src/arch/msdos/vic20ui.c: Some more warning fixes.

2017-01-12  Bas Wassink <b.wassink@ziggo.nl>

	* doc/Doxyfile: Don't recurse into src/lib when building Doxygen docs

2017-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Cosmetic fix.

2017-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/nsosrh.html: Updated.

2017-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/palette2c.sh, src/palette2c.sh: Moved 'palette2c.sh' to
	the 'buildtools' directory.

2017-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/palette2c.c, src/palette2c.c: Moved 'palette2c.c' to
	the 'buildtools' directory.

2017-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, src/Makefile.am,
	src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/genwt.cmd,
	src/arch/sdl/win32-watcom/genwt.bat,
	src/arch/win32/vs_tmpl/geninfocontrib.tmpl,
	src/arch/win32/watcom/genwt.bat, src/buildtools/Makefile.am,
	src/buildtools/infocontrib.sed, src/infocontrib.sed: Moved
	'infocontrib.sed' to the 'buildtools' directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/gensvnversion.sh, src/gensvnversion.sh: Moved
	'gensvnversion.sh' to the 'buildtools' directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/nsosrh.html: Updated.

2017-01-10  Marcus Sutton <loggedoubt@gmail.com>

	* configure.proto, src/arch/unix/unixmain.c,
	src/arch/unix/vsyncarch.c: Removed dead BeOS-X11 code.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/bin2c.sh, src/buildtools/od2c.sh, src/od2c.sh: Moved
	'od2c.sh' to the 'buildtools' directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/convert_owcc_libs.sh, src/convert_owcc_libs.sh: Moved
	'convert_owcc_libs.sh' to the 'buildtools' directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/bin2c.sh, src/buildtools/Makefile.am,
	src/buildtools/bin2c.sh: Moved 'bin2c.sh' to the 'buildtools'
	directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/bin2c.c, src/buildtools/Makefile.am,
	src/buildtools/bin2c.c: Moved 'bin2c.c' to the 'buildtools' directory.

2017-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/gentranslatetable.sh, src/gentranslatetable.sh: Moved
	'gentranslatetable.sh' to the 'buildtools' directory.

2017-01-10  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: ... and also actually use the script :)

2017-01-10  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: Add new Plus4 palettes to the 'palette2c.sh'
	section of the embedded data file rules

2017-01-10  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/uimsgbox.c: Apply sdl-messagebox patch by Greg King
	(see bug #857)

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/gentranslate_h.sh, src/gentranslate_h.sh: Moved
	'gentranslate_h.sh' to the 'buildtools' directory.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/buildtools/geninfocontrib.c, src/buildtools/gentranslate.c:
	Cosmetic fixes.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/os2/watcom/gentr.tgt,
	src/arch/os2/watcom/gentranslate32.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/gentr.tgt,
	src/arch/sdl/win32-watcom/gentranslate32.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/utils/Makefile.am,
	src/arch/win32/utils/gentranslate.c,
	src/arch/win32/vs_tmpl/gentranslate.tmpl,
	src/arch/win32/watcom/gentr.tgt,
	src/arch/win32/watcom/gentranslate32.tgt,
	src/arch/win32/watcom/vice.wpj, src/buildtools/Makefile.am,
	src/buildtools/gentranslate.c: Moved 'gentranslate.c' to the
	'buildtools' directory.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/nsosrh.html: Updated.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/buildtools/Makefile.am,
	src/buildtools/geninfocontrib_h.sh, src/geninfocontrib_h.sh: Moved
	'geninfocontrib_h.sh' to the 'buildtools' directory.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/win32-watcom/genic.tgt,
	src/arch/sdl/win32-watcom/geninfocontrib32.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/utils/Makefile.am,
	src/arch/win32/utils/geninfocontrib.c,
	src/arch/win32/vs_tmpl/geninfocontrib.tmpl,
	src/arch/win32/watcom/genic.tgt,
	src/arch/win32/watcom/geninfocontrib32.tgt,
	src/arch/win32/watcom/vice.wpj, src/buildtools,
	src/buildtools/Makefile.am, src/buildtools/geninfocontrib.c: Started
	on moving 'build tools/scripts' to a 'src/buildtools' directory,
	starting with 'geninfocontrib.c'.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/joyai.c, src/arch/amigaos/uiapi.c,
	src/arch/os2/kbd/kmap-pet.c, src/arch/os2/kbd/kmap.c,
	src/arch/os2/kbd.c, src/arch/os2/rs232.c, src/arch/unix/macosx/joy.c,
	src/arch/unix/macosx/mididrv.c, src/arch/unix/mididrv.c,
	src/arch/unix/x11/ui-resources.c, src/arch/unix/x11/xaw/x11video.c,
	src/arch/win32/ui-resources.c, src/autostart.c,
	src/c128/c128-resources.c, src/c128/functionrom.c,
	src/c64/c64-resources.c, src/c64/c64_256k.c, src/c64/cart/c64cart.c,
	src/c64/cart/c64tpi.c, src/c64/cart/cs8900io.c, src/c64/cart/dqbb.c,
	src/c64/cart/expert.c, src/c64/cart/georam.c, src/c64/cart/gmod2.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c,
	src/c64/cart/magicvoice.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/ramcart.c, src/c64/cart/reu.c,
	src/c64/cart/turbomaster.c, src/c64/plus256k.c, src/c64/plus60k.c,
	src/c64/vsid-resources.c, src/c64dtv/c64dtv-resources.c,
	src/c64dtv/c64dtvflash.c, src/c64dtv/flash-trap.c,
	src/cbm2/cbm2-common-resources.c, src/cbm2/cbm2-resources.c,
	src/cbm2/cbm2cart.c, src/cbm2/cbm5x0-resources.c,
	src/diskimage/rawimage.c, src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/iec-resources.c,
	src/drive/iec128dcr/iec128dcr-resources.c,
	src/drive/ieee/ieee-resources.c, src/drive/tcbm/tcbm-resources.c,
	src/event.c, src/fliplist.c, src/fsdevice/fsdevice-resources.c,
	src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/quicktimedrv.c,
	src/keyboard.c, src/log.c, src/machine.c,
	src/monitor/monitor_network.c, src/network.c, src/pet/pet-resources.c,
	src/pet/petdww.c, src/pet/petreu.c, src/plus4/digiblaster.c,
	src/plus4/plus4-resources.c, src/plus4/plus4-sidcart.c,
	src/plus4/plus4acia.c, src/plus4/plus4cart.c, src/plus4/plus4io.c,
	src/plus4/plus4memhacks.c, src/plus4/plus4speech.c,
	src/plus4/ted-resources.c, src/printerdrv/driver-select.c,
	src/printerdrv/interface-serial.c,
	src/printerdrv/interface-userport.c, src/printerdrv/output-select.c,
	src/printerdrv/output-text.c, src/ps2mouse.c, src/ram.c,
	src/rs232drv/rs232drv.c, src/rs232drv/rsuser.c,
	src/samplerdrv/file_drv.c, src/samplerdrv/sampler.c,
	src/scpu64/scpu64-resources.c, src/scpu64/scpu64gluelogic.c,
	src/serial/serial-iec-device.c, src/sid/sid-resources.c, src/sound.c,
	src/sysfile.c, src/tapeport/cp-clockf83.c,
	src/tapeport/dtl-basic-dongle.c, src/tapeport/sense-dongle.c,
	src/tapeport/tape_diag_586220_harness.c, src/tapeport/tapelog.c,
	src/translate.c, src/traps.c, src/userport/userport.c,
	src/userport/userport_4bit_sampler.c, src/userport/userport_8bss.c,
	src/userport/userport_dac.c,
	src/userport/userport_diag_586220_harness.c,
	src/userport/userport_digimax.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vdc/vdc-resources.c,
	src/vic20/cart/debugcart.c, src/vic20/cart/finalexpansion.c,
	src/vic20/cart/ioramcart.c, src/vic20/cart/megacart.c,
	src/vic20/cart/ultimem.c, src/vic20/cart/vic-fp.c,
	src/vic20/cart/vic20-generic.c, src/vic20/cart/vic20-ieee488.c,
	src/vic20/cart/vic20-midi.c, src/vic20/cart/vic20-sidcart.c,
	src/vic20/cart/vic20cart.c, src/vic20/vic-resources.c,
	src/vic20/vic20-resources.c, src/vic20/vic20io.c,
	src/vicii/vicii-resources.c, src/viciisc/vicii-resources.c,
	src/vsync.c: Even more warning fixes.

2017-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/menudefs.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/tuimenu.h,
	src/arch/msdos/uiattach.c, src/arch/msdos/uiburstmod.c,
	src/arch/msdos/uic128model.c, src/arch/msdos/uic64cart.c,
	src/arch/msdos/uic64dtv.c, src/arch/msdos/uic64dtvmodel.c,
	src/arch/msdos/uic64memoryhacks.c, src/arch/msdos/uic64model.c,
	src/arch/msdos/uic64scmodel.c, src/arch/msdos/uicbm2model.c,
	src/arch/msdos/uicbm5x0model.c, src/arch/msdos/uiciamodel.c,
	src/arch/msdos/uidigimax.c, src/arch/msdos/uidqbb.c,
	src/arch/msdos/uidrivec128.c, src/arch/msdos/uidrivec64.c,
	src/arch/msdos/uidrivec64dtv.c, src/arch/msdos/uidriveieee.c,
	src/arch/msdos/uidriveplus4.c, src/arch/msdos/uidrivevic20.c: Some
	more warning fixes.

2017-01-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/bin2c.c: Add FIXME to src/bin2c.c

2017-01-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/c128/c128embedded.c, src/c64/c64embedded.c,
	src/c64dtv/c64dtvembedded.c, src/cbm2/cbm2embedded.c,
	src/cbm2/cbm5x0embedded.c, src/embedded.h, src/pet/petembedded.c,
	src/plus4/plus4embedded.c, src/vic20/vic20embedded.c: Properly
	terminate embedded file and palette lists

2017-01-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/keyboard.c: Free 'name' _after_ use

2017-01-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am, src/palette2c.c, src/palette2c.sh,
	src/plus4/plus4embedded.c: Fix --enable-embedded building

2017-01-08  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/xcbm2_ui.c: Fix additional dynmenu memory leaks in SDL
	xcbm2

2017-01-08  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_joyport.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c: Fix memory leaks in SDL joyport menus

2017-01-08  Bas Wassink <b.wassink@ziggo.nl>

	* src/resources.h: Fix typos

2017-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/amigaos/Makefile.am,
	src/arch/sdl/Makefile.am, src/arch/sdl/syllable-files/Makefile.am,
	src/arch/unix/Makefile.am: Some more build recursion fixes.

2017-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2017-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/georam.c, src/c64/cart/gmod2.c, src/c64/cart/ide64.c,
	src/c64/cart/isepic.c, src/c64/cart/magicvoice.c,
	src/c64/cart/mmc64.c, src/c64/cart/mmcreplay.c,
	src/c64/cart/ramcart.c, src/c64/cart/retroreplay.c,
	src/c64/cart/reu.c, src/c64/cart/rrnetmk3.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/shortbus_etfe.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/turbomaster.c,
	src/c64/plus60k.c, src/c64/psid.c, src/c64/vsid-debugcart.c,
	src/c64/vsid-resources.c, src/c64dtv/c64dtv-resources.c,
	src/c64dtv/c64dtvblitter.c, src/c64dtv/c64dtvdma.c,
	src/c64dtv/c64dtvflash.c, src/c64dtv/debugcart.c,
	src/c64dtv/flash-trap.c, src/cbm2/cbm2-common-resources.c,
	src/cbm2/cbm2-resources.c, src/cbm2/cbm2cart.c, src/cbm2/cbm2io.c,
	src/cbm2/cbm5x0-resources.c, src/cbm2/debugcart.c,
	src/crtc/crtc-resources.c, src/datasette.c, src/debug.c,
	src/drive/drive-resources.c, src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/iec-resources.c,
	src/drive/iec/plus4exp/plus4exp-resources.c, src/event.c,
	src/fsdevice/fsdevice-resources.c, src/gfxoutputdrv/doodledrv.c,
	src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/koaladrv.c,
	src/gfxoutputdrv/quicktimedrv.c, src/joyport/bbrtc.c,
	src/joyport/joyport.c, src/joyport/joystick.c, src/joyport/mouse.c,
	src/kbdbuf.c, src/keyboard.c, src/machine.c, src/monitor/monitor.c,
	src/monitor/monitor_network.c, src/network.c, src/pet/debugcart.c,
	src/pet/pet-resources.c, src/pet/pet-sidcart.c, src/pet/petdww.c,
	src/pet/pethre.c, src/pet/petio.c, src/pet/petpia1.c,
	src/pet/petreu.c, src/plus4/debugcart.c: Some more init fixes.

2017-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c, src/arch/amigaos/joyll.c, src/arch/amigaos/uiapi.c,
	src/arch/beos/ui.cc, src/arch/beos/video.cc, src/arch/msdos/joy.c,
	src/arch/msdos/ui.c, src/arch/msdos/video.c, src/arch/msdos/vsync.c,
	src/arch/os2/joy.c, src/arch/os2/mousedrv.c, src/arch/os2/ui.c,
	src/arch/os2/video.c, src/arch/unix/macosx/cocoa/mousedrv.m,
	src/arch/unix/macosx/cocoa/ui-resources.c,
	src/arch/unix/macosx/cocoa/video.m, src/arch/unix/macosx/joy.c,
	src/arch/unix/mididrv.c, src/arch/unix/rs232dev.c,
	src/arch/unix/ui-threads.c, src/arch/unix/x11/gnome/gnomevideo.c,
	src/arch/unix/x11/openGL_sync.c, src/arch/unix/x11/ui-resources.c,
	src/arch/unix/x11/xaw/x11video.c, src/arch/win32/joy.c,
	src/arch/win32/mididrv.c, src/arch/win32/mousedrv.c,
	src/arch/win32/ui-resources.c, src/arch/win32/video.c, src/attach.c,
	src/autostart.c, src/c128/c128-resources.c, src/c128/c128mmu.c,
	
	src/c128/functionrom.c, src/c64/c64-memory-hacks.c,
	src/c64/c64-resources.c, src/c64/c64_256k.c, src/c64/c64gluelogic.c,
	src/c64/c64io.c, src/c64/cart/c64-midi.c, src/c64/cart/c64acia1.c,
	src/c64/cart/c64cart.c, src/c64/cart/c64tpi.c, src/c64/cart/cpmcart.c,
	src/c64/cart/cs8900io.c, src/c64/cart/debugcart.c,
	src/c64/cart/digimax.c, src/c64/cart/dqbb.c,
	src/c64/cart/ds12c887rtc.c, src/c64/cart/easyflash.c,
	src/c64/cart/ethernetcart.c, src/c64/cart/expert.c, src/resources.h:
	Started on a resources warning fixing run.

2017-01-07  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Remove -fsanitize from debug builds, makes them too
	slow. I'll add some separate switches to enable -fsanitize in debug
	builds

2017-01-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/archdep.c: Remove HaikuPorts-specific bootpath patch

2017-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/Makefile.am: Do not recurse into the
	android dir for sdl builds and do not recurse into the
	watcom-source-wrappers dir for windows builds.

2017-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/darwin.html: Updated.

2017-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Fixed.

2017-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cmdline.h: Fixed define.

2017-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/printerdrv/driver-select.c, src/printerdrv/interface-serial.c,
	src/printerdrv/interface-userport.c, src/printerdrv/output-select.c,
	src/printerdrv/output-text.c, src/ps2mouse.c, src/ram.c, src/romset.c,
	src/rs232drv/rs232drv.c, src/rs232drv/rsuser.c,
	src/samplerdrv/file_drv.c, src/samplerdrv/sampler.c,
	src/scpu64/scpu64-cmdline-options.c, src/scpu64/scpu64gluelogic.c,
	src/serial/serial-iec-device.c, src/sid/sid-cmdline-options.c,
	src/sound.c, src/sysfile.c, src/tapeport/cp-clockf83.c,
	src/tapeport/dtl-basic-dongle.c, src/tapeport/sense-dongle.c,
	src/tapeport/tape_diag_586220_harness.c, src/tapeport/tapelog.c,
	src/translate.c, src/traps.c, src/userport/userport.c,
	src/userport/userport_4bit_sampler.c, src/userport/userport_8bss.c,
	src/userport/userport_dac.c,
	src/userport/userport_diag_586220_harness.c,
	src/userport/userport_digimax.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vic20/cart/debugcart.c,
	src/vic20/cart/finalexpansion.c, src/vic20/cart/ioramcart.c,
	src/vic20/cart/megacart.c, src/vic20/cart/ultimem.c,
	src/vic20/cart/vic-fp.c, src/vic20/cart/vic20-ieee488.c,
	src/vic20/cart/vic20-sidcart.c, src/vic20/cart/vic20cart.c,
	src/vic20/vic-cmdline-options.c, src/vic20/vic20-cmdline-options.c,
	src/vic20/vic20io.c, src/video/video-cmdline-options.c, src/vsync.c:
	Some more init fixes.

2017-01-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/archdep.c: Apply Haiku patch from their build system

2017-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Removed extra 'fi' (copy/paste error).

2017-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added check for '-fsanitize=undefined' when doing a
	debug build.

2017-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Fixed for non-x86.

2017-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/iec/c64exp/c64exp-cmdline-options.c,
	src/drive/iec/iec-cmdline-options.c,
	src/drive/iec/plus4exp/plus4exp-cmdline-options.c,
	src/drive/iec128dcr/iec128dcr-cmdline-options.c,
	src/drive/ieee/ieee-cmdline-options.c,
	src/drive/tcbm/tcbm-cmdline-options.c, src/event.c, src/fliplist.c,
	src/fsdevice/fsdevice-cmdline-options.c, src/gfxoutputdrv/doodledrv.c,
	src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/koaladrv.c,
	src/gfxoutputdrv/quicktimedrv.c, src/initcmdline.c,
	src/joyport/bbrtc.c, src/joyport/joyport.c, src/joyport/joystick.c,
	src/joyport/mouse.c, src/kbdbuf.c, src/keyboard.c, src/log.c,
	src/machine.c, src/midi.c, src/monitor/monitor.c,
	src/monitor/monitor_network.c, src/network.c, src/pet/debugcart.c,
	src/pet/pet-cmdline-options.c, src/pet/pet-sidcart.c,
	src/pet/petdww.c, src/pet/pethre.c, src/pet/petio.c,
	src/pet/petpia1.c, src/pet/petreu.c, src/plus4/debugcart.c,
	src/plus4/digiblaster.c, src/plus4/plus4-cmdline-options.c,
	src/plus4/plus4-sidcart.c, src/plus4/plus4acia.c,
	src/plus4/plus4cart.c, src/plus4/plus4io.c, src/plus4/plus4memhacks.c,
	src/plus4/plus4speech.c: Some more fixes.

2017-01-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/joyport.c: Fix warnings

2017-01-05  groepaz <groepaz@gmx.net>

	* src/resid/filter.h, src/resid/sid.cc, src/resid/sid.h,
	src/resid/siddefs.h.in, src/resid/spline.h, src/resid/voice.cc,
	src/resid/wave.cc: removed TABs from sourcefiles

2017-01-05  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: sync generated files with trunk

2017-01-05  groepaz <groepaz@gmx.net>

	* src/resid/filter.cc: hack to fix integer overflow, patch by leandro
	nini

2017-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ramcart.c, src/c64/cart/retroreplay.c,
	src/c64/cart/reu.c, src/c64/cart/rrnetmk3.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/shortbus_etfe.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/turbomaster.c,
	src/c64/plus256k.c, src/c64/plus60k.c, src/c64/psid.c,
	src/c64/vsid-cmdline-options.c, src/c64/vsid-debugcart.c,
	src/c64dtv/c64dtv-cmdline-options.c, src/c64dtv/c64dtvblitter.c,
	src/c64dtv/c64dtvdma.c, src/c64dtv/c64dtvflash.c,
	src/c64dtv/debugcart.c, src/c64dtv/flash-trap.c,
	src/cbm2/cbm2-cmdline-options.c, src/cbm2/cbm2cart.c,
	src/cbm2/cbm2io.c, src/cbm2/debugcart.c, src/datasette.c, src/debug.c,
	src/diskimage/rawimage.c, src/drive/drive-cmdline-options.c: Some more
	fixes.

2017-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/dqbb.c, src/c64/cart/ds12c887rtc.c,
	src/c64/cart/easyflash.c, src/c64/cart/ethernetcart.c,
	src/c64/cart/expert.c, src/c64/cart/georam.c, src/c64/cart/gmod2.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c,
	src/c64/cart/magicvoice.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c: Some more fixes.

2017-01-04  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/archdep_beos.c: Add sdl2 renderers to Haiku port,
	experimental!

2017-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c, src/arch/amigaos/joy.c, src/arch/amigaos/joyll.c,
	src/arch/amigaos/uiapi.c, src/arch/beos/joy.cc, src/arch/beos/ui.cc,
	src/arch/beos/video.cc, src/arch/msdos/joy.c, src/arch/msdos/ui.c,
	src/arch/msdos/video.c, src/arch/msdos/vsync.c, src/arch/os2/joy.c,
	src/arch/os2/kbd/kmap-pet.c, src/arch/os2/kbd/kmap.c,
	src/arch/os2/kbd.c, src/arch/os2/mousedrv.c, src/arch/os2/rs232.c,
	src/arch/os2/ui.c, src/arch/os2/video.c, src/arch/unix/joy.c,
	src/arch/unix/macosx/cocoa/mousedrv.m,
	src/arch/unix/macosx/cocoa/ui-cmdline-options.c,
	src/arch/unix/macosx/cocoa/video.m, src/arch/unix/macosx/joy.c,
	src/arch/unix/macosx/mididrv.c, src/arch/unix/mididrv.c,
	src/arch/unix/rs232dev.c, src/arch/unix/ui-threads.c,
	src/arch/unix/x11/gnome/gnomevideo.c,
	src/arch/unix/x11/ui-cmdline-options.c,
	src/arch/unix/x11/xaw/x11video.c, src/arch/win32/joy.c,
	src/arch/win32/mididrv.c, src/arch/win32/mousedrv.c,
	src/arch/win32/ui-resources.c, src/arch/win32/video.c, src/attach.c,
	src/autostart.c, src/c128/c128-cmdline-options.c, src/c128/c128mmu.c,
	src/c128/functionrom.c, src/c64/c64-cmdline-options.c,
	src/c64/c64-memory-hacks.c, src/c64/c64_256k.c,
	src/c64/c64gluelogic.c, src/c64/c64io.c, src/c64/cart/c64-midi.c,
	src/c64/cart/c64acia1.c, src/c64/cart/c64cart.c,
	src/c64/cart/c64carthooks.c, src/c64/cart/c64tpi.c,
	src/c64/cart/cpmcart.c, src/c64/cart/cs8900io.c,
	src/c64/cart/debugcart.c, src/c64/cart/digimax.c, src/cmdline.h:
	Started on my 'init cmdline structure members properly at the end of a
	cmdline list' run.

2017-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated by Kees Zaaijer.

2017-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/beos.html: Updated.

2017-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, README, doc/html/index.html, doc/vice.texi, man/vice.1,
	src/arch/os2/dialogs/dialogs.rc, src/arch/unix/macosx/Info.plist,
	src/arch/unix/macosx/Resources/Credits.html,
	src/arch/unix/x11/gnome/about.c, src/c1541.c, src/geninfocontrib_h.sh,
	src/sounddrv/soundflac.c: 2016->2017 and active member cut down.

2017-01-03  groepaz <groepaz@gmx.net>

	* src/diskimage/fsimage-create.c: fixed track number in sector headers
	when creating g71

2017-01-03  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: sync local files with trunk. bah^2

2017-01-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_drive.c: Add G71 to new disk image dialog in SDL
	UI

2017-01-03  Bas Wassink <b.wassink@ziggo.nl>


	* src/arch/unix/x11/xaw/uiedisk.c, src/arch/unix/x11/xaw/x11ui.c: Add
	G71 to disk open/new dialogs in Xaw UI

2017-01-02  groepaz <groepaz@gmx.net>

	* src/drive/driveimage.c: added G71 to detach

2017-01-02  groepaz <groepaz@gmx.net>

	* doc/vice.texi, src/arch/unix/x11/gnome/uiedisk.c, src/c1541.c,
	src/diskimage/diskimage.c, src/diskimage/fsimage-check.c,
	src/diskimage/fsimage-create.c, src/diskimage/fsimage-gcr.c,
	src/diskimage/fsimage-probe.c, src/diskimage/fsimage.c,
	src/diskimage.h, src/drive/drive.c, src/drive/driveimage.c,
	src/drive/ieee/fdc.c, src/vdrive/vdrive-bam.c, src/vdrive/vdrive.c:
	Use "g71" for double-sided G64 format, handle the format seperately
	internally und use a different file signature in the file. also added
	image creation. UIs will need updating, see devlog

2017-01-02  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/uilib.c: Fix typos

2017-01-02  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/msdos/uiattach.c, src/arch/os2/dialogs/dlg-fileio.c,
	src/arch/unix/x11/gnome/uifileentry.c, src/arch/win32/uilib.c: Add g71
	to file dialog filters

2017-01-02  groepaz <groepaz@gmx.net>

	* src/vdrive/vdrive.c: fix vdrive for double-sided g64/p64

2017-01-02  Bas Wassink <b.wassink@ziggo.nl>

	* src/cmdline.c: Fix location of #ifdef

2017-01-01  groepaz <groepaz@gmx.net>

	* src/resid/wave.cc: SID noise writeback improvement, patch #145 by
	Leandro Nini

2017-01-01  groepaz <groepaz@gmx.net>

	* doc/vice.texi, src/diskimage/fsimage-create.c,
	src/diskimage/fsimage-p64.c, src/drive/drive.c, src/drive/drive.h,
	src/drive/rotation.c, src/gcr.h, src/lib/p64/p64.c, src/lib/p64/p64.h:
	Support of double sided disks (1571) for g64 and p64 - patch #122 by
	Markus

2017-01-01  groepaz <groepaz@gmx.net>

	* doc/html/index.html, man/vice.1: sync generated files with trunk.
	bah

2016-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/machine.c: Slight fix.

2016-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Updated.

2016-12-31  groepaz <groepaz@gmx.net>

	* doc/html/Makefile.am, doc/html/fonts/Lato-Semibold.eot,
	doc/html/fonts/Lato-Semibold.ttf, doc/html/fonts/Lato-Semibold.woff,
	doc/html/fonts/Lato-Semibold.woff2,
	doc/html/fonts/Lato-SemiboldItalic.eot,
	doc/html/fonts/Lato-SemiboldItalic.ttf,
	doc/html/fonts/Lato-SemiboldItalic.woff,
	doc/html/fonts/Lato-SemiboldItalic.woff2, doc/html/latofonts.css:
	semibold can also go

2016-12-31  groepaz <groepaz@gmx.net>

	* doc/html/Makefile.am, doc/html/fonts/Lato-Black.eot,
	doc/html/fonts/Lato-Black.ttf, doc/html/fonts/Lato-Black.woff,
	doc/html/fonts/Lato-Black.woff2, doc/html/fonts/Lato-BlackItalic.eot,
	doc/html/fonts/Lato-BlackItalic.ttf,
	doc/html/fonts/Lato-BlackItalic.woff,
	doc/html/fonts/Lato-BlackItalic.woff2,
	doc/html/fonts/Lato-Hairline.eot, doc/html/fonts/Lato-Hairline.ttf,
	doc/html/fonts/Lato-Hairline.woff, doc/html/fonts/Lato-Hairline.woff2,
	doc/html/fonts/Lato-HairlineItalic.eot,
	doc/html/fonts/Lato-HairlineItalic.ttf,
	doc/html/fonts/Lato-HairlineItalic.woff,
	doc/html/fonts/Lato-HairlineItalic.woff2,
	doc/html/fonts/Lato-Heavy.eot, doc/html/fonts/Lato-Heavy.ttf,
	doc/html/fonts/Lato-Heavy.woff, doc/html/fonts/Lato-Heavy.woff2,
	doc/html/fonts/Lato-HeavyItalic.eot,
	doc/html/fonts/Lato-HeavyItalic.ttf,
	doc/html/fonts/Lato-HeavyItalic.woff,
	doc/html/fonts/Lato-HeavyItalic.woff2, doc/html/fonts/Lato-Light.eot,
	doc/html/fonts/Lato-Light.ttf, doc/html/fonts/Lato-Light.woff,
	doc/html/fonts/Lato-Light.woff2, doc/html/fonts/Lato-LightItalic.eot,
	doc/html/fonts/Lato-LightItalic.ttf,
	doc/html/fonts/Lato-LightItalic.woff,
	doc/html/fonts/Lato-LightItalic.woff2, doc/html/fonts/Lato-Medium.eot,
	doc/html/fonts/Lato-Medium.ttf, doc/html/fonts/Lato-Medium.woff,
	doc/html/fonts/Lato-Medium.woff2,
	doc/html/fonts/Lato-MediumItalic.eot,
	doc/html/fonts/Lato-MediumItalic.ttf,
	doc/html/fonts/Lato-MediumItalic.woff,
	doc/html/fonts/Lato-MediumItalic.woff2, doc/html/fonts/Lato-Thin.eot,
	doc/html/fonts/Lato-Thin.ttf, doc/html/fonts/Lato-Thin.woff,
	doc/html/fonts/Lato-Thin.woff2, doc/html/fonts/Lato-ThinItalic.eot,
	doc/html/fonts/Lato-ThinItalic.ttf,
	doc/html/fonts/Lato-ThinItalic.woff,
	doc/html/fonts/Lato-ThinItalic.woff2: removed a couple fonts that are
	not used anyway

2016-12-31  groepaz <groepaz@gmx.net>

	* doc/html/Makefile.am, doc/html/amigaos.html, doc/html/beos.html,
	doc/html/fonts, doc/html/fonts/Lato-Black.eot,
	doc/html/fonts/Lato-Black.ttf, doc/html/fonts/Lato-Black.woff,
	doc/html/fonts/Lato-Black.woff2, doc/html/fonts/Lato-BlackItalic.eot,
	doc/html/fonts/Lato-BlackItalic.ttf,
	doc/html/fonts/Lato-BlackItalic.woff,
	doc/html/fonts/Lato-BlackItalic.woff2, doc/html/fonts/Lato-Bold.eot,
	doc/html/fonts/Lato-Bold.ttf, doc/html/fonts/Lato-Bold.woff,
	doc/html/fonts/Lato-Bold.woff2, doc/html/fonts/Lato-BoldItalic.eot,
	doc/html/fonts/Lato-BoldItalic.ttf,
	doc/html/fonts/Lato-BoldItalic.woff,
	doc/html/fonts/Lato-BoldItalic.woff2,
	doc/html/fonts/Lato-Hairline.eot, doc/html/fonts/Lato-Hairline.ttf,
	doc/html/fonts/Lato-Hairline.woff, doc/html/fonts/Lato-Hairline.woff2,
	doc/html/fonts/Lato-HairlineItalic.eot,
	doc/html/fonts/Lato-HairlineItalic.ttf,
	doc/html/fonts/Lato-HairlineItalic.woff,
	doc/html/fonts/Lato-HairlineItalic.woff2,
	doc/html/fonts/Lato-Heavy.eot, doc/html/fonts/Lato-Heavy.ttf,
	doc/html/fonts/Lato-Heavy.woff, doc/html/fonts/Lato-Heavy.woff2,
	doc/html/fonts/Lato-HeavyItalic.eot,
	doc/html/fonts/Lato-HeavyItalic.ttf,
	doc/html/fonts/Lato-HeavyItalic.woff,
	doc/html/fonts/Lato-HeavyItalic.woff2, doc/html/fonts/Lato-Italic.eot,
	doc/html/fonts/Lato-Italic.ttf, doc/html/fonts/Lato-Italic.woff,
	doc/html/fonts/Lato-Italic.woff2, doc/html/fonts/Lato-Light.eot,
	doc/html/fonts/Lato-Light.ttf, doc/html/fonts/Lato-Light.woff,
	doc/html/fonts/Lato-Light.woff2, doc/html/fonts/Lato-LightItalic.eot,
	doc/html/fonts/Lato-LightItalic.ttf,
	doc/html/fonts/Lato-LightItalic.woff,
	doc/html/fonts/Lato-LightItalic.woff2, doc/html/fonts/Lato-Medium.eot,
	doc/html/fonts/Lato-Medium.ttf, doc/html/fonts/Lato-Medium.woff,
	doc/html/fonts/Lato-Medium.woff2,
	doc/html/fonts/Lato-MediumItalic.eot,
	doc/html/fonts/Lato-MediumItalic.ttf,
	doc/html/fonts/Lato-MediumItalic.woff,
	doc/html/fonts/Lato-MediumItalic.woff2,
	doc/html/fonts/Lato-Regular.eot, doc/html/fonts/Lato-Regular.ttf,
	doc/html/fonts/Lato-Regular.woff, doc/html/fonts/Lato-Regular.woff2,
	doc/html/fonts/Lato-Semibold.eot, doc/html/fonts/Lato-Semibold.ttf,
	doc/html/fonts/Lato-Semibold.woff, doc/html/fonts/Lato-Semibold.woff2,
	doc/html/fonts/Lato-SemiboldItalic.eot,
	doc/html/fonts/Lato-SemiboldItalic.ttf,
	doc/html/fonts/Lato-SemiboldItalic.woff,
	doc/html/fonts/Lato-SemiboldItalic.woff2,
	doc/html/fonts/Lato-Thin.eot, doc/html/fonts/Lato-Thin.ttf,
	doc/html/fonts/Lato-Thin.woff, doc/html/fonts/Lato-Thin.woff2,
	doc/html/fonts/Lato-ThinItalic.eot,
	doc/html/fonts/Lato-ThinItalic.ttf,
	doc/html/fonts/Lato-ThinItalic.woff,
	doc/html/fonts/Lato-ThinItalic.woff2, doc/html/fonts/OFL.txt,
	doc/html/index.html, doc/html/latofonts.css, doc/html/macosx.html,
	doc/html/qnx.html, doc/html/sco.html, doc/html/solaris.html,
	doc/html/texi2html, doc/html/vice.css: moved the lato font(s) into the
	tree

2016-12-31  groepaz <groepaz@gmx.net>

	* src/resid/filter.cc: filter bias tweak value fix

2016-12-31  groepaz <groepaz@gmx.net>

	* src/resid/envelope.cc, src/resid/envelope.h: SID envelope generator
	improvements, patch #138 by Leandro Nini

2016-12-31  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/utils/geninfocontrib.c: Update date in Windows tool
	that generates Linux man page

2016-12-31  groepaz <groepaz@gmx.net>

	* src/resid/filter.cc, src/resid/filter.h: SID 8580 filter
	improvements, patch #143 by Leandro Nini

2016-12-31  groepaz <groepaz@gmx.net>

	* configure.proto, src/arch/sdl/archdep_unix.h,
	src/arch/unix/archdep.h, src/arch/unix/macosx/make-bindist.sh: macOS
	build fixes, patch #146 by TMLPiper

2016-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/amigaos/Makefile.am,
	src/arch/amigaos/mui/Makefile.am: Some more amigaos out-of-tree build
	fixes (thanks to Matthias Rustler).

2016-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/beos.html: Updated.

2016-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/make-bindist_skyos.sh: Some fixes.

2016-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am: Also use the amigaos build dir as an
	include dir (fixes bug #843).

2016-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Updated.

2016-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/sortix-files: Added svn ignores.

2016-12-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/cmdline.c, src/resources.c: Start compile-time debugging code
	cleanup

2016-12-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/machine.c: Don't call ui_shutdown() when running in console mode

2016-12-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/cmdline.c: Add dumping of registered command line options on
	shutdown when DEBUG_CMDLINE is defined

2016-12-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/win32/uihelp.c: Apply Greg King's Win32 about dialog patch

2016-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Updated.

2016-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/sortix.html: Updated.

2016-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/Makefile.am, src/platform/platform.h,
	src/platform/platform_discovery.h,
	src/platform/platform_sortix_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h: Updated.

2016-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/types.h: Undef CLOCK_MAX before (re)defining it.

2016-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/winmain.c: Remove debug messages.

2016-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/winmain.c: Fixed windows quoted argument issue.

2016-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/index.html, doc/html/sortix.html:
	Updated.

2016-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/sdl/Makefile.am,
	src/arch/sdl/sortix-files, src/arch/sdl/sortix-files/Makefile.am,
	src/arch/sdl/sortix-files/tixinfo32,
	src/arch/sdl/sortix-files/tixinfo64: Added sortix tix file templates.

2016-12-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/c128/c128.c: Add C128 machine keyboard mappings. No actual
	support for them though, that needs a lot of work

2016-12-23  AreaScout <areascout@gmx.at>

	* src/arch/sdl/video.c: Fix: get rid of memset

2016-12-23  groepaz <groepaz@gmx.net>

	* data/C128/Makefile.am, data/C128/colodore.vpl, data/C64/Makefile.am,
	data/C64/colodore.vpl, data/CBM-II/Makefile.am,
	data/CBM-II/colodore.vpl, data/PLUS4/Makefile.am,
	data/PLUS4/colodore_ted.vpl, data/SCPU64/Makefile.am,
	data/SCPU64/colodore.vpl, data/VIC20/Makefile.am,
	data/VIC20/colodore_vic.vpl, src/palette.c: added colodore (new pepto)
	palettes

2016-12-23  AreaScout <areascout@gmx.at>

	* src/arch/android/AnVICE/jni/locnet_al/missing.cpp: Fix: suppress
	compiler warnings

2016-12-23  AreaScout <areascout@gmx.at>

	* src/arch/sdl/ui.c: Fix: suppress compiler warnings

2016-12-23  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/macosx.html: Removed old bin.

2016-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/macosx.html: Updated.

2016-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Slight update.

2016-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/darwin.html,
	doc/html/index.html, doc/html/nsosrh.html, doc/html/qnx.html,
	doc/html/solaris.html: Updated.

2016-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/main65816cpu.c, src/mainc64cpu.c, src/maincpu.c,
	src/mainviccpu.c: Some fixes.

2016-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uikeymap.c: Fixed.

2016-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-20  Bas Wassink <b.wassink@ziggo.nl>

	* src/platform/platform_netbsd_runtime_os.c: Add NetBSD 7.0.2

2016-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/android.html: Updated.

2016-12-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/lib/libx264/x264.c: Replace enum PixelFormat with AVPixelFormat

2016-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/libx264/x264.c: Use different var name (i -> ii), fixes bug
	#837.

2016-12-18  Bas Wassink <b.wassink@ziggo.nl>

	* man/petcat.1, man/vice.1: Update man page dates

2016-12-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/keyboard.c: Fix keymap parsing to handle different EOL styles

2016-12-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/gfxoutputdrv/ffmpegdrv.c: Fix memory leaks in ffmpeg driver

2016-12-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/core/cs8900.c, src/ioutil.c, src/pet/pet.c,
	src/sounddrv/soundcoreaudio.c, src/sounddrv/sounddart.c,
	src/vicii/viciidtv-draw.c: Fix C++ style comments

2016-12-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/ui.c: Fix C++ style comments

2016-12-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/hs-linux.c, src/arch/unix/x11/xaw/uiedit.c,
	src/arch/unix/x11/xaw/uiscreenshot.c,
	src/arch/unix/x11/xaw/uistatusbar.c,
	src/arch/unix/x11/xaw/uitapestatus.c: Fix C++ style comments in
	src/arch/unix

2016-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/macosx.html: Updated.

2016-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.texi, doc/vice.txt: Updated (oops).

2016-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* README: Updated.

2016-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.proto, doc/WinNT-Unicode.txt, doc/vice.chm,
	doc/vice.hlp, doc/vice.pdf, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po,
	po/tr.po, po/translations-status.txt,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h, src/vice-version.sh:
	Generated VICE 3.0 source for building bindists for the release on
	December 22nd.

2016-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, src/arch/android/AnVICE/Makefile.am,
	src/arch/android/AnVICE/assets: Fixed android build script to generate
	the 'assets' directory and removed the empty directory from the
	makefile and svn.

2016-12-15  Bas Wassink <b.wassink@ziggo.nl>

	* src/Makefile.am: Fix .PHONY targets, see bug #834

2016-12-14  groepaz <groepaz@gmx.net>

	* doc/html/Makefile.am: fix typo

2016-12-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am: Fixed a typo.

2016-12-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/lib/Makefile.am: Add missing ffmpeg files to dist

2016-12-14  Bas Wassink <b.wassink@ziggo.nl>

	* doc/Makefile.am, doc/html/Makefile.am,
	src/arch/android/AnVICE/Makefile.am,
	src/arch/unix/macosx/Resources/Makefile.am,
	src/arch/win32/vs_tmpl/Makefile.am: Adding missing files to dist

2016-12-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/android.html, doc/html/index.html:
	Added android download page.

2016-12-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/platform/platform_aix_version.h,
	src/platform/platform_dragonfly_version.h,
	src/platform/platform_freebsd_version.h,
	src/platform/platform_netbsd_version.h,
	src/platform/platform_openbsd_version.h,
	src/platform/platform_qnx6_version.h,
	src/platform/platform_solaris_version.h: Fix C++ style comments

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/darwin.html, doc/html/index.html,
	doc/html/nsosrh.html: Updated.

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Updated.

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4:
	Added svn ignores.

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/solaris.html: Slight fix.

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/make-bindist_scosol.sh: Fix bin package name.

2016-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c, src/c64/cart/gmod2.c: Use /* ... */
	not // ...

2016-12-12  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/statusbar.cc: Use a maximum size of 11 points for the
	BeVICE statusbar font.

2016-12-12  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_cbm2.cc, src/arch/beos/ui_cbm5x0.cc: Rearranged the
	BeVICE CBM-II settings dialogs.

2016-12-10  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/socketimpl.h: Fixed. (BeOS has no <arpa/inet.h>.)

2016-12-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xpet_ui.c: Use correct screenshot menu for xpet (fixes
	bug #833).

2016-12-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added missing makefile generation (fixes bug #832).

2016-12-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/index.html,
	doc/html/macosx.html, doc/html/qnx.html, doc/html/sco.html,
	doc/html/solaris.html: Some fixes.

2016-12-09  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/statusbar.c: win32 Unicode fixes: Statusbar.

2016-12-09  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_file.cc: Adjusted image contents window control
	sizes.

2016-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Some fixes.

2016-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/Makefile.am: Added missing directory.

2016-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/geninfocontrib_h.sh: Fixed os/2 about dialog generation.

2016-12-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_ide64.cc: Fix warning

2016-12-08  Bas Wassink <b.wassink@ziggo.nl>

	* doc/html/index.html: Remove Dingoo from the list of binaries,
	support for Dingoo/Dingux was removed.

2016-12-08  groepaz <groepaz@gmx.net>

	* doc/Doxyfile, doc/html/Makefile.am, doc/html/amigaos.html,
	doc/html/beos.html, doc/html/images/CIPS2008.jpg,
	doc/html/images/CIPS2008.png, doc/html/images/vice-logo-small.png,
	doc/html/images/vice-logo.jpg, doc/html/images/vice-logo.svg,
	doc/html/index.html, doc/html/macosx.html, doc/html/qnx.html,
	doc/html/sco.html, doc/html/solaris.html, doc/html/texi2html,
	doc/html/vice.css, doc/vice.pdf: updated website html, updated
	generation of html docs and doxygen. all using a similar design as the
	pokefinder page.

2016-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/console.c: Fixed for minix.

2016-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/ide-config.h: Fixed for winrt.

2016-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/hardsid.c: Make 'hardsid_available()' function return 0 for
	platforms that don't support hardsid.

2016-12-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/io-access.c: Fixed for ppc-beos.

2016-12-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/socketimpl.h: Add hack for Haiku's missing
	closesocket()

2016-12-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/socketimpl.h: Add missing include for inet_addr

2016-12-07  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Don't enable OpenCBM on BeOS/Haiku

2016-12-07  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Add Beos/Haiku to dynamic library loading check

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/catweaselmkiii-drv.c, src/arch/msdos/hs-pci.c,
	src/arch/msdos/pci-drv.c, src/arch/msdos/pci-drv.h: Some pci function
	name changes for dos so they don't conflict with functions present in
	libpcap.

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some dos pcap/libnet fixes.

2016-12-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/archdep.h, src/arch/sdl/archdep_beos.h: Changed
	BeOS/Haiku path separator to ':'. (Not sure if old config files will
	work with this, but ';' was wrong.)

2016-12-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_sid.cc: Fixed for machines with no extra SIDs.

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiethernetcart.c: Fixed.

2016-12-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_file.cc: Fixed file selector getting hidden behind
	main window when the image contents window is displayed on Haiku.

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiethernetcart.c: Fixed.

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am: Added missing file.

2016-12-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hs-pci.c: Fixed.

2016-12-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/amigamain.c, src/arch/amigaos/uiapi.c: Load libs
	earlier.

2016-12-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c: Small fix.

2016-12-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/libffmpeg/Makefile: Fixed for 'make dist'.

2016-12-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_win32.c: Added
	SDL error message when changing to a drive that is not accessible.

2016-12-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Slight order change to make 'SDL_NumJoysticks'
	detection work like it should again.

2016-12-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fix portaudio detection for windows when
	libportaudio needs libwinmm support to work.

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/uimon.c: Fix missing #include

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/parsid-drv.c: Fix missing include for snooze()

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/kbd.c: Add missing #include

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_keymap.cc: Remove unused BAlert

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/gnome/uisnapshot.c: Use g_free() on pointer
	returned by Gtk

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/make-bindist_dingoo.sh,
	src/arch/sdl/make-bindist_dingoo_native.sh: Remove old Dingoo
	make-bindist files

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/make-bindist_beos.sh: Fix make-bindist for BeOS SDL
	port

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_file.cc: BeOS: fix crash on exit after having used
	'attach image'

2016-12-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_file.cc: BeOS UI: don't use delete on memory
	returned by malloc()

2016-12-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/uifilereq.c: Return proper drive result, fixes bug
	#496.

2016-12-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/types.h: Some fixes.

2016-12-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/raster/raster-resources.c: Change default due to video core

2016-12-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/joy.h: Typo fix.

2016-12-01  Bas Wassink <b.wassink@ziggo.nl>

	* Makefile.am, configure.proto, src/arch/sdl/Makefile.am,
	src/arch/sdl/archdep.c, src/arch/sdl/archdep.h,
	src/arch/sdl/archdep_dingoo.c, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/dingoo-files,
	src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_snapshot.c,
	src/arch/sdl/menu_speed.c, src/arch/sdl/menu_vic20cart.c,
	src/arch/sdl/menu_video.c, src/arch/sdl/sdlmain.c, src/arch/sdl/ui.c,
	src/c64/c64cart.h, src/ioutil.c, src/plus4/ted-timing.h,
	src/printerdrv/drv-nl10.c, src/printerdrv/printer.c, src/sysfile.c,
	src/vic20/victypes.h, src/video/Makefile.am,
	src/video/render1x1_dingoo.h, src/video/video-render-crt.c,
	src/video/video-render-pal.c, src/vsync.c: Remove Dingoo/Dingux
	support, current vice won't run on it

2016-12-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/lib/libffmpeg/Makefile: Add libavformat/flac_enc.h header for
	source releases

2016-12-01  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Change pcap error message

2016-12-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.txt,
	src/arch/beos/ui.cc, src/arch/beos/ui_keymap.cc,
	src/arch/beos/ui_keymap.h, src/arch/beos/vicemenu.cc: Add keyboard
	dialog to BeOS UI. Contains two controls that set unused resources,
	since the BeOS keyboard code is incomplete

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_drive.cc, src/arch/beos/ui_pet.cc,
	src/arch/beos/ui_sidcart.cc: Some more BeVICE dialog control
	adjustments.

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/vsync.c: Added a hack to deal with bug #818 (and possibly #792.)

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* doc/readmes/Readme-BeOS.txt: Updated for the 3.0 release.

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/vicemenu.cc: Moved/fixed some BeVICE menu items.

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_device.cc, src/arch/beos/ui_device.h,
	src/arch/beos/ui_drive.cc, src/arch/beos/ui_drive.h,
	src/arch/beos/ui_sound.cc, src/arch/beos/ui_sound.h: BeOS/Haiku UI
	changes: Added main volume and drive sound volume sliders to the Sound
	settings dialog. Added drive RPM and wobble sliders to the Drive
	settings dialog. Adjusted the size of other controls in those dialogs.
	Reverted addition of drive RPM, wobble and sound volume sliders to the
	Device settings dialog; wrong dialog.

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_ide64.cc: Fixed a crash and hacked the size of the
	BeVICE IDE64 image size dialog.

2016-11-30  Marcus Sutton <loggedoubt@gmail.com>

	* NEWS: Updated BeOS/Haiku section and fixed svn props.

2016-11-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xpet_ui.c: Removed obsolete include.

2016-11-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/pet-sidcart.c, src/plus4/plus4-sidcart.c,
	src/sid/sid-resources.c, src/sid/sid.h,
	src/vic20/cart/vic20-sidcart.c: Fixed pet, plus4 and vic20 sidcart
	performance issues when the sidcart is not activated.

2016-11-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uic64cart.c,
	src/arch/amigaos/mui/uikeymap.c: Some amiga fixes.

2016-11-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xpet_ui.c: Removed debugging line.

2016-11-29  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/vic20ui.c: Add ReSID sampling method UI item to
	*nix xvic

2016-11-29  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-11-29  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c: Add ifdef's
	around ReSID ui items

2016-11-29  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c: Add ReSID
	sampling method items to the *nix menu for xpet and xplus4

2016-11-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/sid/sid-resources.c: Changed default SID engine for xpet/xplus4
	to FastSID to improve performance when SIDcart is disabled.

2016-11-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/ui.cc: Moved ui_ide64usb()
	calls to machine-specific BeOS UI code.

2016-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.proto, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.txt, po/da.po,
	po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h, src/vice-version.sh:
	VICE 2.4.33

2016-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/infocontrib.sed: Updated.

2016-11-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescia.rc,
	src/arch/win32/resethernet.rc, src/arch/win32/resethernetcart.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/respet.rc,
	src/arch/win32/resretroreplay.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: Did a 'make trans-update'.

2016-11-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-11-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-11-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c, src/arch/os2/dialogs/dlg-drive.h,
	src/arch/os2/dialogs/dlg-drive.rc: Added drive rpm, wobble and sound
	volume items to the os/2 gui.

2016-11-27  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.txt,
	src/arch/beos/ui.cc, src/arch/beos/ui_ide64usb.cc,
	src/arch/beos/ui_ide64usb.h, src/arch/beos/vicemenu.cc: Add IDE64 USB
	server settings to the BeOS UI

2016-11-26  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	more osx gui updates

2016-11-26  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	src/arch/unix/macosx/cocoa/menu/c64controller.m,
	src/arch/unix/macosx/cocoa/menu/vic20controller.m: some osx gui
	updates

2016-11-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_device.cc, src/arch/beos/ui_device.h: Add drive
	sound emulation volume item to the BeOS UI

2016-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/clockport-mp3at64.c: Some fixes.

2016-11-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_device.cc, src/arch/beos/ui_device.h: Add drive RPM
	and Wobble items to the BeOS UI

2016-11-26  groepaz <groepaz@gmx.net>

	* doc/vice.texi: made description of drive wobble value more clear

2016-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiattach.c: Added autostart delay items to the dos
	tui.

2016-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.rc: Slight fix.

2016-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resautostart.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uiautostart.c: Added
	autostart delay items to the windows gui.

2016-11-26  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Added IDE64 shortbus DigiMAX/ETFE menu
	items to BeVICE.

2016-11-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Update c1541 delete command: each unit specified is now
	checked, not just the current one

2016-11-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_sid.cc: Adjust BeOS/Haiku SID dialog to properly
	display ReSID controls

2016-11-26  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/archdep.h, src/arch/sdl/archdep_beos.h: Disable
	"hardware" scaling for SDL builds on BeOS/Haiku.

2016-11-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_autostart.cc, src/arch/beos/ui_autostart.h: Added
	missing svn properties.

2016-11-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/scpu64ui.cc: Fixed handling
	of IDE64 clockport device for BeVICE xscpu64 and x128.

2016-11-25  groepaz <groepaz@gmx.net>

	* src/petcat.c: added plus4/basic v3.5 specific control codes, fixes
	bug #764

2016-11-25  groepaz <groepaz@gmx.net>

	* src/c128/c128mem.c: invert chargen_high for international version,
	fixes bug #781

2016-11-25  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi: Fix typos

2016-11-25  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/vicemenu.cc: Add IDE64 clockport device selection to
	BeOS/Haiku

2016-11-24  groepaz <groepaz@gmx.net>

	* src/autostart.c: work around auto start bug in x128, when prg file
	is autostarted with default settings, it would fail because some code
	in RAM is executed (see comment). someone who is more into c128 than i
	am might want to fix this properly :)

2016-11-24  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: more tweaks to the CRT emulation
	defaults

2016-11-24  groepaz <groepaz@gmx.net>

	* src/vic20/vic-color.c: added extra palette for ntsc, tweaked to be
	close(r) to mikes palette and tokras photo

2016-11-24  groepaz <groepaz@gmx.net>

	* src/crtc/crtc-color.c: tweak color to be closer to p1 phosphor

2016-11-24  groepaz <groepaz@gmx.net>

	* data/PET/amber.vpl, data/PET/green.vpl, data/PET/white.vpl: use rgb
	values of the respective display phosphors for the monochrome palettes

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_autostart.cc: Add AutostartDelay menu item to the
	BeOS/Haiku UI (one more file)

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.txt,
	src/arch/beos/ui.cc, src/arch/beos/ui_autostart.h,
	src/arch/beos/vicemenu.cc: Add AutostartDelay menu item to the
	BeOS/Haiku UI

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_drive.c: Add AutostartDelay menu item to SDL UI

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Fix stupid typo in yasm version check

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Remove quotes from yasm version check, some shells
	complain

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/beos/ui_device.cc: Adjust BeOS device dialog to properly
	display all text

2016-11-24  Bas Wassink <b.wassink@ziggo.nl>

	* autogen.sh: Fix files-to-remember logic in autogen, see bug #825

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiautostart.c: Added autostart delay items to the
	amiga gui.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiautostart.c,
	src/arch/amigaos/mui/uiautostart.h: Some cosmetic fixes.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added autostart delay items to the
	os/2 gui.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c, src/arch/os2/dialogs/dlg-drive.h,
	src/arch/os2/dialogs/dlg-drive.rc: Added RTC Save (FD2000/4000) items
	to the os/2 drive dialog.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c, src/arch/os2/dialogs/dlg-drive.h,
	src/arch/os2/dialogs/dlg-drive.rc: Added SuperCard+ items to the os/2
	drive dialog.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.rc: Locked in new coordinates and
	removed group boxes.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uivideo.c, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc:
	Updated.

2016-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c, src/arch/os2/dialogs/dlg-drive.h,
	src/arch/os2/dialogs/dlg-drive.rc: Fixed/extended the drive parallel
	cable elements of the os/2 drive settings dialog.

2016-11-23  groepaz <groepaz@gmx.net>

	* data/PLUS4/Makefile.am, data/PLUS4/vice.vpl,
	data/PLUS4/yape-ntsc.vpl, data/PLUS4/yape-pal.vpl, src/palette.c,
	src/plus4/ted-resources.c: remove totally useless and broken vice.vpl
	that didnt even contain a plus4 palette. added pal and ntsc palettes
	stolen from yape. embedded-stuff and bindist scripts need updating
	(sorry)

2016-11-23  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: make contrast/saturation settings
	neutral by default and tweak values only for c64 and plus4 (for now)

2016-11-23  groepaz <groepaz@gmx.net>

	* src/plus4/ted-color.c: tweak NTSC colors to somehow match YAPEs
	output

2016-11-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_parse.c, src/monitor/mon_parse.h: Updates mon files

2016-11-23  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Fix check_drive_unit()

2016-11-23  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi, src/arch/unix/gui/uiautostart.c: Fix autostart UI
	text for *nix

2016-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.rc: Updated slightly.

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi: Slight docs update

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ide64 usb server items to the
	os/2 gui.

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Add unzip as an alias for zcreate

2016-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-datasette.c,
	src/arch/os2/dialogs/dlg-datasette.h,
	src/arch/os2/dialogs/dlg-datasette.rc, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc: Added
	tapeport device items to the os/2 gui.

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Remove weird comma operator

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Apply c1541 patch by Greg King, see bug #821

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Fix stupid mistake

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/uicbm2cart.c,
	src/arch/unix/gui/uicbm2cart.h: Fix memory leak in *nix cart menu for
	xcbm2 and xcbm5x0

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uic64cart.c: Fix memory leak in *nix cart menu for
	x64, x64sc, xscpu64 and x128

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/vic20ui.c: Fix memory leak in xvic cartridge
	attach menu for *nix UI

2016-11-21  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/patchrom.c: Change log_verbose to log_error when returning
	error code

2016-11-20  groepaz <groepaz@gmx.net>

	* src/video/video-color.c: hack to align internally generated colors
	with the pepto stuff a bit better.

2016-11-20  groepaz <groepaz@gmx.net>

	* src/vicii/vicii-color.c, src/viciisc/vicii-color.c: trivial test
	option

2016-11-20  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: tweak defaults so ptoings yusblend test
	works better

2016-11-20  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uipalcontrol.c,
	src/arch/unix/x11/gnome/x11ui.c: on ui_update_menus set sliders in CRT
	control to values of their associated resources

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/make-bindist_qnx6.sh: Fixed sdl qnx6 make bindist.

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/qnx6/make-bindist.sh: Fixed xaw qnx6 make bindist.

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Fixed os/2 palette menu.

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/Makefile.am, src/arch/os2/dialogs/dialogs.h,
	src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/dialogs/dlg-text-input.c,
	src/arch/os2/watcom/dialogs.tgt, src/arch/os2/watcom/vice.wpj: Added
	generic text input dialog for the os/2 gui.

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/dialogs/dialogs.c,
	src/arch/os2/dialogs/dialogs.rc, src/arch/os2/dialogs/dlg-cmdopt.c,
	src/arch/os2/dialogs/dlg-color.rc,
	src/arch/os2/dialogs/dlg-datasette.rc,
	src/arch/os2/dialogs/dlg-drive.rc,
	src/arch/os2/dialogs/dlg-emulator.rc,
	src/arch/os2/dialogs/dlg-fileio.c, src/arch/os2/dialogs/dlg-fileio.rc,
	src/arch/os2/dialogs/dlg-ide64.rc,
	src/arch/os2/dialogs/dlg-joystick.rc,
	src/arch/os2/dialogs/dlg-monitor.c,
	src/arch/os2/dialogs/dlg-monitor.rc, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/fullscr.c, src/arch/os2/gradd.h, src/arch/os2/signals.c,
	src/arch/os2/snippets/pmwin2.c, src/arch/os2/sounddrv.c,
	src/arch/os2/video.c, src/arch/os2/vsidui.c: Removed some obsolete
	#if(n)def's.

2016-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resvsid.rc, src/arch/win32/vsidui.c: Added speed
	items to the windows vsid gui.

2016-11-20  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/monitor/mon_memory.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y,
	src/monitor/monitor.c, src/monitor/montypes.h: Clear the buffer before
	starting parsing. If the previous line contained a syntax error, it
	might leave dirty data in the buffer. An example was this line:
	hunt 801 947b bo 64, (note: bo, not b0), that left the number $0b as
	first byte of the buffer. So, when one attempted to launch the correct
	line, hunt 801 947b b0 64, the content of the buffer was not the
	expected $b0 $64, but $0b $b0 $64 (the first $0b being an undesired
	side effect of the initial command)

2016-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/cs8900io.c: Provide gui error message when trying to
	enable pcap based devices when no pcap library can be loaded, fixes
	bug #812.

2016-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/dialogs/dialogs.h,
	src/arch/os2/dialogs/dialogs.rc, src/arch/os2/dialogs/dlg-cmdopt.c,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/uifeatures.c,
	src/arch/os2/watcom/archdep.tgt, src/arch/os2/watcom/vice.wpj: Added
	vice features show dialog to the os/2 gui.

2016-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Added max speed items to the beos gui.

2016-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiethernet.c: Initialize var, fixes bug #815.

2016-11-19  AreaScout <areascout@gmx.at>

	* src/arch/sdl/uimenu.c, src/c128/c128.c, src/c64/c64.c,
	src/c64/vsid.c, src/c64dtv/c64dtv.c, src/machine.h, src/pet/pet.c,
	src/plus4/plus4.c, src/plus4/ted-timing.c, src/scpu64/scpu64.c,
	src/vic20/vic-timing.c, src/vic20/vic20.c, src/vicii/vicii-timing.c,
	src/viciisc/vicii-timing.c: Fix: revert r32345

2016-11-19  AreaScout <areascout@gmx.at>

	* src/arch/sdl/uimenu.c, src/c128/c128.c, src/c64/c64.c,
	src/c64/vsid.c, src/c64dtv/c64dtv.c, src/machine.h, src/pet/pet.c,
	src/plus4/plus4.c, src/plus4/ted-timing.c, src/scpu64/scpu64.c,
	src/vic20/vic-timing.c, src/vic20/vic20.c, src/vicii/vicii-timing.c,
	src/viciisc/vicii-timing.c: Fix: this should adress bug #810, now when
	in menu, only normal borders are used + machine does not reset anymore
	when changing 

2016-11-18  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/Makefile.am: Fixed typo.

2016-11-18  groepaz <groepaz@gmx.net>

	* src/crtc/crtc.c: fix warning

2016-11-18  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2-resources.c, src/cbm2/cbm2mem.c,
	src/cbm2/cbm5x0-resources.c, src/crtc/crtc-mem.c, src/crtc/crtc-mem.h,
	src/crtc/crtc.c, src/crtc/crtctypes.h, src/pet/petmem.c: added i/o
	dump for CRTC, added constants for CRTC registers and made most of the
	code use them, fixed some register write masking

2016-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/clockport-mp3at64.c: Slight fix.

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, data/fonts/Makefile.am: Fix QNX6 fontdir shizzle

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Remove --enable-debug-code

2016-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uidrivec128.c, src/arch/amigaos/mui/uidrivec64.c,
	src/arch/amigaos/mui/uidrivec64dtv.c,
	src/arch/amigaos/mui/uidrivepetcbm2.c,
	src/arch/amigaos/mui/uidriveplus4.c,
	src/arch/amigaos/mui/uidrivevic20.c: Added drive rpm and wobble
	elements to the amiga gui.

2016-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uinetwork.c: Slight fix.

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/patchrom.c: Change revision-OK message to verbose. Remove
	parenthesis from return statements, return is a statement, not a
	function call

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/cbm2/cbm5x0.c: Fix memory leaks in CBM 500 resources handling

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/cbm2/cbm2cart.c: Fix typos

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/cbm2/cbm2.c, src/cbm2/cbm2cart.c: Fix memory leaks in CBM-II
	resources handling

2016-11-18  Bas Wassink <b.wassink@ziggo.nl>

	* src/video/video-viewport.c: Fix warning

2016-11-17  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/rawnetarch.c: Minor fixes.

2016-11-17  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/statusbar.cc, src/arch/beos/ui.cc: Display tape status
	on the BeVICE statusbar whenever the Datasette is enabled.

2016-11-17  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_file.cc: Fixed a crash in ui_select_file_action().

2016-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	src/arch/win32/cbm2ui.c, src/arch/win32/cbm5x0ui.c,
	src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2common.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/reskeymap.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uikeyboard.c,
	src/arch/win32/uikeyboard.h, src/arch/win32/uikeymap.c,
	src/arch/win32/uikeymap.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/vice.wpj: Fixed keymap support for the windows
	gui.

2016-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/vsidui.c, src/arch/amigaos/vsiduires.h: Removed
	refresh rate related items from vsid in the amiga gui.

2016-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, configure.proto, src/arch/unix/Makefile.am,
	src/arch/unix/hpux: Removed outdated (and by now obsolete) hpux
	bindist directory.

2016-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/makebindist.bat,
	src/arch/os2/watcom/makebindist.cmd: Fixed os/2 makebindst scripts
	when it comes to copying the palette (.vpl) files.

2016-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/ko.po, po/translations-status.txt: Updated with Korean
	translations by David Renz.

2016-11-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/cbmdos.h: Fix assigning/comparing -1 to/with unsigned drive
	number

2016-11-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/drive/iec/pc8477.c, src/drive/iec/wd1770.c: Fix warnings

2016-11-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/sounddrv/soundmp3.c: Fix warning

2016-11-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/joyport/mouse.c: Fix warnings

2016-11-17  Bas Wassink <b.wassink@ziggo.nl>

	* src/samplerdrv/file_drv.c: Fix warning

2016-11-16  Bas Wassink <b.wassink@ziggo.nl>

	* src/tape/t64.c: T64: only adjust size of last file if end address
	points past the T64 data

2016-11-16  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/io-access.c, src/arch/unix/x11/qnxshm.c: Fix a few
	warnings on QNX6

2016-11-16  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/vsidui.c, src/arch/unix/x11/gnome/uimenu.c: Add
	ugly hacks to work around ugly hack in vsid UI

2016-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/makeclean.cmd,
	src/arch/os2/makedist.cmd: Removed obsolete os/2 command files.

2016-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/c128/c128embedded.c, src/c64/c64embedded.c,
	src/cbm2/cbm2embedded.c, src/cbm2/cbm5x0embedded.c,
	src/pet/petembedded.c, src/plus4/plus4embedded.c,
	src/vic20/vic20embedded.c: Fixed palette generation and usage for
	'--enable-embedded'.

2016-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/push-roms.sh: Fixed android roms list.

2016-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uikeymap.c,
	src/arch/amigaos/mui/uikeymap.h, src/arch/amigaos/mui/uipetsettings.c,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/scpu64uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Fixed
	keymap support for the amiga gui.

2016-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uivideo.c: Fixed palette items in the amiga
	gui.

2016-11-14  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated info on available
	palettes in the documentation

2016-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/menudefs.c,
	src/arch/msdos/petui.c, src/arch/msdos/uikeymap.c,
	src/arch/msdos/uikeymap.h: Fixed keymap support for the dos tui.

2016-11-14  groepaz <groepaz@gmx.net>

	* data/CBM-II/Makefile.am, data/CBM-II/default.vpl,
	data/CBM-II/pepto-pal.vpl, data/CBM-II/vice.vpl: rename vice.vpl to
	pepto-pal.vpl and default.vpl to vice.vpl

2016-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reside64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uiide64.c: Added ide64
	clockport elements to the windows gui.

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/vsidui.c, src/arch/unix/vsiduiunix.h,
	src/arch/unix/x11/xaw/uivsidcontrol.c: Fix memory leaks in Xaw vsid UI

2016-11-14  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uistatusbar.c: When positioning the status
	porthole, only refer to the drive status widgets if they actually
	exist. If not, the porthole is placed to the right of the speed label.

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/samplerdrv/file_drv.c, src/samplerdrv/file_drv.h,
	src/samplerdrv/sampler.c: Fix memory leak in sampler resources
	handling

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/tapeport/tapelog.h: Fix memory leak in tapeport, properly this
	time

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/tapeport/tapelog.c, src/tapeport/tapelog.h,
	src/tapeport/tapeport.c: Fix memory leak in resource handling of
	tapelog

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/xaw/widgets/Joystick.c: Fix indentation/code style
	in xaw/widgets/Joystick.c

2016-11-14  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/Joystick.xt: Move declaration up, to
	match r32295, editing the generated code.

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/cart/cs8900io.c: Fix memory leak in resource handling of
	cs8900io

2016-11-14  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/gnome/uimenu.c: Fix memory leaks in Gtk UI:
	properly free extra memory allocated for menu items

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_qnx6_runtime_os.c: Fixed.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/vsyncarch.c: Slight order fix.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/Joystick.c: Partially fixed, some-1
	else will need to fix indentation and coding style of this file.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/Makefile.am, src/platform/platform.h,
	src/platform/platform_qnx6_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h: Added QNX 6.x runtime
	detection.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/opencbm.h: Fixed for qnx 6.x.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uic64cart.c,
	src/arch/amigaos/mui/uic64cart.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uic64cart.c,
	src/arch/amigaos/uires.h: Fixed binary cart image selection/menu items
	for the amiga gui.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ide64 clockport items to the
	os/2 gui.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reside64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uiide64.c: Added ide64
	short bus etfe elements to the windows gui.

2016-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Fixed.

2016-11-13  Bas Wassink <b.wassink@ziggo.nl>

	* src/attach.c: Revert patch #140, causes an abort (--disable-debug)
	or segfault (--enable-debug)

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Fixed loading of the various palette
	files for the os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/xscpu64.tgt: Added mmc64, mmcr and rr clockport
	items to the os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ide64 short bus etfe elements
	to the os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ethernetcart elements to the
	os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Fixed mouse elements in the os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reside64.rc,
	src/arch/win32/uiide64.c: Added address label to the ide64 shortbus
	digimax dialog in the windows gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/attach.c: Fixed.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/drivesettingswindowcontroller.m:
	Applied patch #139 by Christopher Phillips: Added RPM and Wobble to
	the Drive Settings dialogue.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/attach.c: Applied patch #140 by Greg King: Fix memory leak in
	disk image detachment.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resretroreplay.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uimmc64.c,
	src/arch/win32/uimmcreplay.c, src/arch/win32/uiretroreplay.c: Added
	mmc64, mmcr and rr clockport selection elements to the windows gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-fileio.c, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc: Fixed
	binary cart image selection/menu items for the os/2 gui.

2016-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/rawnetarch.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resethernet.rc, src/arch/win32/resethernetcart.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/restfe.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/ui.c, src/arch/win32/uiethernet.c,
	src/arch/win32/uiethernet.h, src/arch/win32/uiethernetcart.c,
	src/arch/win32/uiethernetcart.h, src/arch/win32/uitfe.c,
	src/arch/win32/uitfe.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/vice.wpj: Added ethernet and ethernetcart items
	to the windows gui.

2016-11-12  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2016-11-11  AreaScout <areascout@gmx.at>

	* src/arch/sdl/ui.c: Fix: do not create the window in console mode
	(thx to compyx)

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_video.c, src/arch/sdl/menu_video.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Fix memory leaks in
	the SDL UI palette menu's

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64cart.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xscpu64_ui.c: Fix memory leak in
	SDL dynamic C64 cart menu

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/xvic_ui.c: Fix memory leak in SDL xvic SID model menu

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_sid.c, src/arch/sdl/menu_sid.h,
	src/arch/sdl/vsidui.c, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c: Fix memory leak
	in SDL dynamic SID model menu

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c: Fix memory leak
	in SDL keyboard settings menu (all emu's this time)

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_settings.c, src/arch/sdl/menu_settings.h,
	src/arch/sdl/vsidui.c: Fix memory leak in SDL keyboard settings menu

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_speed.c, src/arch/sdl/menu_speed.h,
	src/arch/sdl/vsidui.c: Add speed settings submenu to vsid SDL UI

2016-11-11  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uisettings.c, src/arch/unix/gui/uisettings.h,
	src/arch/unix/gui/vsidui.c: Add 'Maximum speed' submenu to vsid
	settings *nix UI

2016-11-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am, doc/html/images/CIPS2008.jpg,
	doc/html/images/CommodoreInnovationPriceSoftware2008.jpg,
	doc/html/index.html: Shortened.

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/sdl/menu_settings.c, src/arch/sdl/menu_settings.h,
	src/arch/sdl/vsidui.c: Update VSID SDL menu

2016-11-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/6510dtvcore.c, src/65816core.c, src/65c02core.c,
	src/arch/amigaos/mui/mui.c, src/arch/amigaos/mui/mui.h,
	src/arch/amigaos/mui/uidrivec128.c, src/arch/amigaos/mui/uidrivec64.c,
	src/arch/amigaos/mui/uidrivepetcbm2.c,
	src/arch/amigaos/mui/uidriveplus4.c, src/arch/amigaos/timer.c,
	src/h6809regs.h, src/joyport/joystick.c, src/mainc64cpu.c,
	src/mainviccpu.c, src/monitor/mon_lex.c, src/monitor/mon_lex.l,
	src/monitor/mon_parse.c, src/monitor/monitor.c, src/pet/6809.h,
	src/plus4/plus4.h, src/scpu64/scpu64.h, src/vic20/vic20.h,
	src/vic20/vic20cpu.c: Reverted svn:eol-style properties changed by
	r32212.

2016-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc:
	Changed vicii new lums to be x64dtv only for the os/2 gui.

2016-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vic20 vfli mod elements to the
	os/2 gui.

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/resources.c: Add dumping of resources at exit when DBGRESOURCES
	is defined

2016-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added joyport device elements to the
	os/2 gui.

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.txt: Update vice.txt

2016-11-09  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vicii/vicii-badline.c: Comment fix by Leandro

2016-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1: Slight update.

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi: Fix Acia1Irq description (NMI and IRQ constants were
	switched)

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/vic20/vic20-cmdline-options.c: Add missing -acia1/+acia1 command
	line options to xvic

2016-11-09  Bas Wassink <b.wassink@ziggo.nl>

	* src/scpu64/scpu64-cmdline-options.c: Add missing -acia1/+acia1
	command line options to xscpu64

2016-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Removed unused elements.

2016-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/pet.c: Don't register joyport keypads, xpet already has a
	native keypad.

2016-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2.c, src/cbm2/cbm5x0.c: Don't register joyport keypads,
	xcbm2 and xcbm5x0 already have a native keypad.

2016-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c: Don't register joyport keypads, x128 already has a
	native keypad.

2016-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added userport devices elements to
	the os/2 gui.

2016-11-08  Bas Wassink <b.wassink@ziggo.nl>

	* src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Add rebuilt monitor files

2016-11-07  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vicii/vicii-badline.c: Special case for cycle 58

2016-11-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/Makefile.am, src/c64/vsid-resources.c: Fix vsid build
	errors, hopefully

2016-11-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/Makefile.am, src/c64/vsid-cmdline-options.c: Remove
	basic/chargen/kernal command line options from vsid. Remove unused
	file src/c64/vsid-resources.c

2016-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/Makefile.am, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Fixed.

2016-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Added RR, MMC64 and MMCR clockport device
	items to the beos gui.

2016-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-ide64.h, src/arch/os2/dialogs/dlg-ide64.rc:
	Some cosmetic fixes.

2016-11-07  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vicii/vicii-badline.c: Try to fix a linecrunching bug (LFT)

2016-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added IDE64 shortbus DigiMAX items to
	the os/2 gui.

2016-11-07  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Replace a lot of magic numbers with symbolic names and
	replace a few drive_check() calls.

2016-11-07  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi, src/machine.h: Changed MachineVideoStandard resource
	to positive values. Code fixing the old values withheld for now

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added rrnet mk3 items to the os/2
	gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Removed userport item from the
	digimax cart in the os/2 gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added sampler setting items to the
	os/2 gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added c64 cp/m (z80) cart items to
	the os/2 gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vic20 I/O-2 & I/O-3 RAM cart
	items to the os/2 gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vic20 ultimem items to the os/2
	gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ss5 32k addon items to the os/2
	gui.

2016-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h: Added vic20 vfli mod items to the amiga
	gui

2016-11-06  Bas Wassink <b.wassink@ziggo.nl>

	* doc/vice.texi: Add 'Fast Resampling' to SidResidSampling
	description, fix typo/grammer

2016-11-06  Bas Wassink <b.wassink@ziggo.nl>

	* src/c64/psid.c: Add -basic, -chargen, -kernal and -kernalrev command
	line options to vsid

2016-11-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/snapshot.c: Fixed a mingw32 warning.

2016-11-05  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/amigaos/mui/uijoystickll.c: Added a comment relating to
	r30229.

2016-11-05  Marcus Sutton <loggedoubt@gmail.com>

	* autogen.sh: Allow use of automake 1.10.2.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added proper screenshot support to
	the os/2 gui.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added easyflash crt optimize items to
	the os/2 gui.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added plus4 memory hacks items to the
	os/2 gui.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added viciisc vsp bug items to the
	os/2 gui.

2016-11-05  AreaScout <areascout@gmx.at>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/src-proto/com/locnet/vice/PreConfig.java: Fix:
	x128 for android, use all kernal + char files

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added ds12c887 rtc run mode items to
	the os/2 gui.

2016-11-05  AreaScout <areascout@gmx.at>

	* build/android/build-android.sh, src/arch/android/AnVICE/Makefile.am:
	Fix: forgot quotes + reflect r32210 to Makefile.am

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/dialog/disassemblywindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/iotreewindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/memorywindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/memorywindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/recordmediawindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/registerwindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/registerwindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/resourceeditorcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/vicewindowcontroller.m,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	src/arch/unix/macosx/cocoa/menu/vicefilepanel.h,
	src/arch/unix/macosx/cocoa/menu/vicefilepanel.m,
	src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	src/arch/unix/macosx/cocoa/viceapplication.m,
	src/arch/unix/macosx/cocoa/vicemachine.m,
	src/arch/unix/macosx/cocoa/video.m,
	src/arch/unix/macosx/cocoa/view/driveview.m,
	src/arch/unix/macosx/cocoa/view/soundview.m: Applied patch #137 by
	Christopher Phillips: Fixed 31 warnings in the OS X Cocoa UI code.
	Fixed bug where CPU window visibility couldn't be toggled by the menu
	item unless it had already been loaded. Fixed bug where CPU window
	contents would remaing blank unless it was already visible at startup. 
	(issues #243 and 252?)

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uicpclockf83.c,
	src/arch/amigaos/mui/uicpclockf83.h,
	src/arch/amigaos/mui/uidatasette.c, src/arch/amigaos/mui/uitapelog.c,
	src/arch/amigaos/mui/uitapelog.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64uires.h,
	src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	tapeport devices elements to the amiga gui.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/6510dtvcore.c, src/65816core.c, src/65c02core.c,
	src/arch/amigaos/mui/mui.c, src/arch/amigaos/mui/mui.h,
	src/arch/amigaos/mui/uidrivec128.c, src/arch/amigaos/mui/uidrivec64.c,
	src/arch/amigaos/mui/uidrivepetcbm2.c,
	src/arch/amigaos/mui/uidriveplus4.c, src/arch/amigaos/timer.c,
	src/c64/c64cpusc.c, src/h6809regs.h, src/joyport/joystick.c,
	src/mainc64cpu.c, src/mainviccpu.c, src/monitor/mon_lex.c,
	src/monitor/mon_lex.l, src/monitor/mon_parse.c, src/monitor/monitor.c,
	src/pet/6809.h, src/plus4/plus4.h, src/scpu64/scpu64.h,
	src/vic20/vic20.h, src/vic20/vic20cpu.c: Some more amiga fixes.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiuserportds1307rtc.c,
	src/arch/amigaos/mui/uiuserportds1307rtc.h: Function name fix.

2016-11-05  AreaScout <areascout@gmx.at>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/config.android.h,
	src/arch/android/AnVICE/config.android.h.proto: Add: versions info
	automation for android port

2016-11-05  AreaScout <areascout@gmx.at>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/src-proto/com/locnet/vice/PreConfig.java: Fix:
	keymap file naming for x128

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/scpu64ui.cc, src/arch/beos/ui_vicii.cc,
	src/arch/beos/vicemenu.cc: Fixed vicii lums to be x64dtv only for the
	beos gui.

2016-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/Makefile.am,
	src/arch/amigaos/mui/uic64model.c,
	src/arch/amigaos/mui/uic64scmodel.c, src/arch/amigaos/mui/uiide64.c,
	src/arch/amigaos/mui/uijoyport.c,
	src/arch/amigaos/mui/uiuserportds1307rtc.c,
	src/arch/amigaos/mui/uiuserportrtc58321a.c,
	src/arch/amigaos/mui/uivicii.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/vic20ui.c: Some amiga
	fixes.

2016-11-05  AreaScout <areascout@gmx.at>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/src-proto/com/locnet/vice/PreConfig.java: Fix:
	keymap file naming for android port

2016-11-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/vsync.c: Remove -refreshrate/RefrashRate from vsid. (The Amiga
	UI has this, why?)

2016-11-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/keyboard.c: Remove KeyboardMapping, KeyboardType, KeymapIndex,
	KeymapPosFile, KeymapSymFile, KeymapUserPosFile, KeymapUserSymFile and
	related command line options from vsid

2016-11-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/gnome/gnomevideo.c,
	src/arch/unix/x11/xaw/x11video.c: Remove -+keepaspect/KeepAspectRatio
	and -+trueaspect/TrueAspectRatio from vsid *nix

2016-11-05  Bas Wassink <b.wassink@ziggo.nl>

	* src/machine.c: Remove non-sensical
	-exitscreenshot/ExitScreenshotName from vsid

2016-11-05  AreaScout <areascout@gmx.at>

	* src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20/Android.mk.proto:
	Fix: reflect changes from r32168 to Android port

2016-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/clockport-mp3at64.c: Fixed.

2016-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uijoyport.c: Added bbrtc save data items to the
	amiga gui.

2016-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiide64.c: Added IDE64 short bus digimax items to
	the amiga gui.

2016-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am,
	src/arch/amigaos/mui/uiuserportds1307rtc.c,
	src/arch/amigaos/mui/uiuserportds1307rtc.h,
	src/arch/amigaos/mui/uiuserportrtc58321a.c,
	src/arch/amigaos/mui/uiuserportrtc58321a.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added all
	userport device items to the amiga gui.

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	ChangeLog, configure.proto, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.txt, po/da.po,
	po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h, src/vice-version.sh:
	VICE 2.4.32

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Fixed quotation.

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Fixed escaping.

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Re-added solaris exception.

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Fixed in general, host was re-set.

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Applied patch #136 by Uffe Jakobsen: When
	performing out-of-tree cross compiles gentranslate_h.sh could not be
	found because of its path (./gentranslate_h.sh) - this patch simply
	changes "." to "$(srcdir)".

2016-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Slight update for solaris.

2016-11-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Fix Xaw UI init failure with some
	session managers

2016-11-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uisettings.c, src/arch/unix/gui/uisettings.h,
	src/arch/unix/gui/vsidui.c, src/c64/vsid.c: Add debug resource init to
	vsid, update *nix UI for vsid to not display drive CPU items

2016-11-03  Bas Wassink <b.wassink@ziggo.nl>

	* autogen.sh, configure.proto: Update build system to support
	OpenIndiana

2016-11-03  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/xaw/uijoystatus.c: Fix warning, convert tabs to
	spaces

2016-11-03  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/ui.cc,
	src/arch/beos/ui_joystick.cc, src/arch/beos/ui_joystick.h,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Fixed BeVICE
	Joyport/Joystick menus and dialogs.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/resgmod2.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resjoyport.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did yet another 'make update-po'.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Fixed some items.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Partly updated.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did another 'make update-po'.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiethernetcart.c: Removed N_(...) from items that
	don't need translation and added missing elements to the vic20
	ethernetcart menu.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uisidc128.c, src/arch/msdos/uisidcart.c,
	src/arch/msdos/uisidcbm2.c, src/arch/msdos/uisiddtv.c: Some more
	fixes.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uisidc64.c: Fixed.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am: Removed non-existing items.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am: Fixed rename in makefile.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64scmodel.c: Fixed.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64model.c, src/arch/msdos/uic64scmodel.c: Added
	some more missing includes.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64model.c: Added missing include.

2016-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_ethernetcart.c,
	src/arch/sdl/menu_ethernetcart.h, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_tfe.h,
	src/arch/sdl/menu_vic20hw.c, src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/win32/vs_tmpl/arch_sdl.tmpl:
	Changed tfe items to ethernet cart items in the sdl gui.

2016-11-02  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2016-11-02  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/ps-file.c: Fix typo

2016-11-02  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/vic20/vic20.c: do not call gui shutdown in
	console mode

2016-11-02  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/uiethernetcart.c: Be more explicit when
	determining machine type

2016-11-02  Bas Wassink <b.wassink@ziggo.nl>

	* autogen.sh: Replace tabs with spaces, make indentation four spaces

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uiethernetcart.c, src/arch/msdos/uiethernetcart.h,
	src/arch/msdos/uitfe.c, src/arch/msdos/uitfe.h,
	src/arch/msdos/vic20ui.c: Changed tfe items to ethernet cart items in
	the dos tui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added vic20 vfli items to the beos gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: 'Is'->'Was'.

2016-11-01  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto, doc/vice.texi, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/rawnetarch.c,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/scpu64uires.h,
	src/arch/android/AnVICE/config.android.h, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/rawnetarch.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/uiide64.c,
	src/arch/msdos/uitfe.c, src/arch/msdos/uitfe.h,
	src/arch/msdos/vic20ui.c, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/rawnetarch.c,
	src/arch/os2/watcom/ide-config.h, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_ethernet.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_tfe.c, src/arch/sdl/menu_vic20hw.c,
	src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/ide-config-sdl2.h,
	src/arch/sdl/msvc-files/ide-config.h, src/arch/sdl/rawnetarch.c,
	src/arch/sdl/win32-watcom/ide-config.h, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uiethernetcart.c, src/arch/unix/gui/uiide64.c,
	src/arch/unix/gui/vic20ui.c, src/arch/unix/rawnetarch.c,
	src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	src/arch/win32/msvc/ide-config.h, src/arch/win32/rawnetarch.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/ui.c, src/arch/win32/uitfe.c, src/arch/win32/uitfe.h,
	src/arch/win32/vic20ui.c, src/c64/cart/c64cart.c,
	src/c64/cart/c64carthooks.c, src/c64/cart/c64cartmem.c,
	src/c64/cart/clockport-rrnet.c, src/c64/cart/clockport.c,
	src/c64/cart/crt.c, src/c64/cart/cs8900io.c, src/c64/cart/cs8900io.h,
	src/c64/cart/ethernetcart.c, src/c64/cart/ethernetcart.h,
	src/c64/cart/rrnetmk3.c, src/c64/cart/shortbus.c,
	src/c64/cart/shortbus_etfe.c, src/c64/cart/shortbus_etfe.h,
	src/core/cs8900.c, src/core/cs8900.h, src/rawnet.c, src/rawnet.h,
	src/rawnetarch.h, src/translate.txt, src/translate_text.c,
	src/vic20/cart/vic20cart.c, src/vic20/cart/vic20cartmem.c,
	src/vicefeatures.c: Change HAVE_TFE to HAVE_PCAP

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc: Added another missing include.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc: Added missing include.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/vicemenu.cc: Fixed the x64, x64sc and xscpu64 model
	items and custom model items in the beos gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/scpu64uires.h,
	src/arch/amigaos/uires.h: Added SS5 32K addon items to the amiga gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uieasyflash.c: Added easyflash crt optimize items
	to the amiga gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uidatasette.c: Added tape wobble items to the
	amiga gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uivicii.c, src/arch/amigaos/mui/uivicii.h,
	src/arch/amigaos/scpu64ui.c: Added VSP bug item to the amiga gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uids12c887rtc.c: Added ds12c887 run mode items to
	the amiga gui.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_xvic/Android.mk.proto: Fixed xvic
	android build.

2016-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_xscpu64/Android.mk.proto: Fixed
	xscpu64 android build.

2016-11-01  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: Add proper unit/device checks and tilde
	expansion to unlynx_cmd(), update docs

2016-11-01  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c: Fix validate_cmd(): reject unit 12+, don't segfault

2016-11-01  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: Some c1541 updates

2016-10-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uivicii.c: added missing handling for menu
	updates, fixes bug #806

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64model.c: Fixed the x64, x64sc and xscpu64 model
	items and custom model items in the sdl gui.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_xplus4/Android.mk.proto: Fixed xplus4
	android build.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/locnet_xpet/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xpet/Android.mk.proto: Fixed the xpet
	android build.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c64ui.c,
	src/arch/msdos/uic64model.c, src/arch/msdos/uic64scmodel.c,
	src/arch/msdos/uic64scmodel.h, src/arch/msdos/uiscpu64model.c: Fixed
	the x64, x64sc and xscpu64 model items and custom model items in the
	dos tui.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c64ui.c, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/Makefile.am,
	src/arch/amigaos/mui/uic64model.c,
	src/arch/amigaos/mui/uic64scmodel.c,
	src/arch/amigaos/mui/uic64scmodel.h,
	src/arch/amigaos/mui/uiscpu64model.c,
	src/arch/amigaos/mui/uiscpu64model.h, src/arch/amigaos/scpu64ui.c:
	Fixed the x64, x64sc and xscpu64 model items and custom model items in
	the amiga gui.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Fixed the x64, x64sc and xscpu64
	model items and custom model items in the os/2 gui.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/locnet_xcbm5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm5x0/Android.mk.proto: Fixed
	android xcbm5x0 build.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added 'jam action' items to the os/2
	gui.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/locnet_xcbm2/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm2/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0/Android.mk.proto: Fixed
	xcbm2 android build.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_x128/Android.mk.proto: Fixed android
	x128 build.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/vice_x128_2_5x0_pet,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_sc,
	src/arch/android/AnVICE/jni/vice_x64_sc_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0: Added some svn ignores.

2016-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/Makefile.am: Fixed.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_x64sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu/Android.mk.proto: Fixed
	for android x64sc.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh,
	src/arch/android/AnVICE/jni/vice_x64dtv/Android.mk.proto: Fixed
	android x64dtv build.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/sounddrv.tgt, src/arch/os2/watcom/vice.wpj:
	Removed soundmmos2 from the os/2 ow project files.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/vice_x128_2_5x0_pet,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_sc,
	src/arch/android/AnVICE/jni/vice_x64_sc_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0: Added some svn ignores.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, configure.proto,
	src/arch/android/AnVICE/config.android.h,
	src/arch/android/AnVICE/jni/Makefile.am,
	src/arch/android/AnVICE/jni/locnet_x128/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64dtv/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xcbm2/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xcbm5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xpet/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xplus4/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xscpu64/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20/Android.mk.proto:
	Fixed for android x64 build.

2016-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* NEWS, doc/vice.texi, src/infocontrib.sed: Some more 3.0 updates.

2016-10-30  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: Update verbose command to accept
	optional 'off' argument, update man page

2016-10-30  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1, src/c1541.c: c1541: update name_cmd, add documentation
	to man page

2016-10-30  Bas Wassink <b.wassink@ziggo.nl>

	* man/c1541.1: Some c1541 man page updates

2016-10-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/Makefile.am, src/arch/beos/c128ui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/scpu64ui.cc, src/arch/beos/ui_cia.cc,
	src/arch/beos/ui_cia.h, src/arch/beos/vicemenu.cc: Added a CIA
	settings dialog to BeVICE.

2016-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/jpegdrv.c, src/gfxoutputdrv/pngdrv.c: Guarded.

2016-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/gifdrv.c: Guarded.

2016-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/serial/realdevice.c: Guarded.

2016-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/Makefile.am: Fixed.

2016-10-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/c1541.c, src/imagecontents/imagecontents.c, src/imagecontents.h:
	c1541: Add proper (sub)pattern and file type matching for the dir/list
	command. Sub patterns can now be specified using comma's and file
	types can be matched by appending '=[PRSU]' to a (sub) pattern.

2016-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, configure.proto,
	src/arch/android/AnVICE/jni/Makefile.am,
	src/arch/android/AnVICE/jni/locnet_x128/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64dtv/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_x64sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xcbm2/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xcbm5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xpet/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xplus4/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xscpu64/Android.mk.proto,
	src/arch/android/AnVICE/jni/locnet_xvic/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_c64cart,
	src/arch/android/AnVICE/jni/vice_c64exp,
	src/arch/android/AnVICE/jni/vice_cbm2common,
	src/arch/android/AnVICE/jni/vice_common,
	src/arch/android/AnVICE/jni/vice_commonall,
	src/arch/android/AnVICE/jni/vice_commoncart,
	src/arch/android/AnVICE/jni/vice_crtc,
	src/arch/android/AnVICE/jni/vice_iec,
	src/arch/android/AnVICE/jni/vice_ieeepar,
	src/arch/android/AnVICE/jni/vice_joyport,
	src/arch/android/AnVICE/jni/vice_tape,
	src/arch/android/AnVICE/jni/vice_vicii,
	src/arch/android/AnVICE/jni/vice_viciisc,
	src/arch/android/AnVICE/jni/vice_x128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x128_2_5x0_pet,
	src/arch/android/AnVICE/jni/vice_x128_2_5x0_pet/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x128_2_5x0_pet/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_128_5x0/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_dtv_128_5x0/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc,
	src/arch/android/AnVICE/jni/vice_x64_sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_128/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_128_2_5x0_pet_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_128_2_5x0_pet_4_20/Android.mk.proto, 
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_2_pet_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_dtv_scpu_128_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_5x0_pet_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_2_pet_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_4/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64_sc_scpu_128_5x0_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64dtv/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64sc/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu/Makefile.am,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu_128_2_pet_4_20,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu_128_2_pet_4_20/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_x64sc_scpu_128_2_pet_4_20/Makefile.am,
	src/arch/android/AnVICE/jni/vice_xcbm2/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm2_5x0/Makefile.am,
	src/arch/android/AnVICE/jni/vice_xcbm2_pet,
	src/arch/android/AnVICE/jni/vice_xcbm2_pet/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xcbm5x0/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xpet/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xplus4/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xscpu64/Android.mk.proto,
	src/arch/android/AnVICE/jni/vice_xvic/Android.mk.proto,
	src/diskimage/rawimage.c, src/gfxoutputdrv/quicktimedrv.c,
	src/infocontrib.sed, src/sounddrv/soundahi.c, src/sounddrv/soundaix.c,
	src/sounddrv/soundallegro.c, src/sounddrv/soundalsa.c,
	src/sounddrv/soundarts.c, src/sounddrv/soundbeos.cc,
	src/sounddrv/soundbsp.cc, src/sounddrv/soundcoreaudio.c,
	src/sounddrv/sounddart.c, src/sounddrv/soundhpux.c,
	src/sounddrv/soundmidas.c, src/sounddrv/soundpulse.c,
	src/sounddrv/soundsdl.c, src/sounddrv/soundsgi.c,
	src/sounddrv/soundsun.c, src/sounddrv/sounduss.c,
	src/sounddrv/soundwmm.c: Modularized the android build, temporarily
	breaks the android build, build fixes to come.

2016-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/Makefile.am, src/sounddrv/soundmmos2.c: Removed unused
	soundmmos2 sound driver.

2016-10-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/cartconv.c: Fix 'array subscript is char' warning on NetBSD

2016-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_netbsd_version.h: Support NetBSD 7.0.2

2016-10-28  Bas Wassink <b.wassink@ziggo.nl>

	* configure.proto: Fix runtimepath/linker configuration for *BSD to
	allow out-of-tree building

2016-10-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/vdrive/vdrive-command.c, src/vdrive/vdrive-dir.c,
	src/vdrive/vdrive-dir.h: Add filetype filter support in wildcard
	patterns for vdrive, patch by Simon Rowe

2016-10-28  Bas Wassink <b.wassink@ziggo.nl>

	* src/autostart.c: Fix invalid free(), this should fix bug #804

2016-10-27  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/ui.c, src/arch/unix/x11/xaw/Makefile.am,
	src/arch/unix/x11/xaw/uiarch.h, src/arch/unix/x11/xaw/uijoystatus.c,
	src/arch/unix/x11/xaw/uijoystatus.h,
	src/arch/unix/x11/xaw/uistatusbar.c,
	src/arch/unix/x11/xaw/widgets/Joystick.c,
	src/arch/unix/x11/xaw/widgets/Joystick.h,
	src/arch/unix/x11/xaw/widgets/Joystick.xt,
	src/arch/unix/x11/xaw/widgets/JoystickP.h,
	src/arch/unix/x11/xaw/widgets/Makefile.am: Add Joystick indicators to
	the xaw gui, very similar to the gnome ones. This is done with a
	proper X toolkit widget, which was generated with the help of TwiXt,
	the Templated Widgets for Xt from https://github.com/Rhialto/twiXt .

2016-10-27  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uimenu.c, src/arch/unix/x11/xaw/x11ui.c:
	Cleaner shutdown procedures: Set some pointers to NULL after being
	freed. Use (more of the) X-provided methods for cleaning up widget
	hierarchies. This helps with reducing apparent memory leaks in
	Valgrind tests.

2016-10-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/x11/gnome/uimon.c, src/c1541.c: Fix build errors for
	gnome/uimon.c and c1541.c when readline isn't installed

2016-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/clockport-mp3at64.c: Made the default channel config
	mono, should fix the 'now I only have sound on my left speaker' issue.

2016-10-26  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: added missing ifdef

2016-10-26  Bas Wassink <b.wassink@ziggo.nl>

	* data/C128/Makefile.am, data/C128/default.vpl,
	data/C128/pepto-pal.vpl, data/C128/vice.vpl, data/C64/Makefile.am,
	data/C64/default.vpl, data/C64/pepto-pal.vpl, data/C64/vice.vpl,
	data/PLUS4/Makefile.am, data/PLUS4/default.vpl, data/PLUS4/vice.vpl,
	data/SCPU64/Makefile.am, data/SCPU64/default.vpl,
	data/SCPU64/pepto-pal.vpl, data/SCPU64/vice.vpl,
	data/VIC20/Makefile.am, data/VIC20/default.vpl, data/VIC20/vice.vpl,
	src/palette.c: Rename vice.vpl to pepto-pal.vpl, rename default.vpl to
	vice.vpl, update buildsystem to install the proper palettes

2016-10-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/vic20ui.c: *nix UI cosmetics

2016-10-26  Bas Wassink <b.wassink@ziggo.nl>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uics8900.c, src/arch/unix/gui/uiethernetcart.c,
	src/arch/unix/gui/vic20ui.c: Update *nix UI: add 'Ethernet settings'
